// Copyright (c) 2007-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
//
// Initial Contributors:
// Nokia Corporation - initial contribution.
//
// Contributors:
//
// Description:
//

#include "ipcnames.h"

#include <etelmmcs.h>
#include <ctsy/serviceapi/mmtsy_ipcdefs.h>
#include <ctsy/rmmcustomapi.h>

_LIT(KEEtelOpenFromSession, "EEtelOpenFromSession");
_LIT(KEEtelOpenFromSubSession, "EEtelOpenFromSubSession");
_LIT(KEEtelOpenByNameFromSession, "EEtelOpenByNameFromSession");
_LIT(KEEtelOpenByNameFromSubSession, "EEtelOpenByNameFromSubSession");
_LIT(KEEtelClose, "EEtelClose");
_LIT(KEEtelCancelSubSession, "EEtelCancelSubSession");
_LIT(KEETelLineCapsChangeNotification, "EETelLineCapsChangeNotification");
_LIT(KEETelLineCapsChangeNotificationCancel, "EETelLineCapsChangeNotificationCancel");
_LIT(KEETelPhoneCapsChangeNotification, "EETelPhoneCapsChangeNotification");
_LIT(KEETelPhoneCapsChangeNotificationCancel, "EETelPhoneCapsChangeNotificationCancel");
_LIT(KEEtelCallCapsChangeNotification, "EEtelCallCapsChangeNotification");
_LIT(KEEtelCallCapsChangeNotificationCancel, "EEtelCallCapsChangeNotificationCancel");
_LIT(KEEtelCallGetBearerServiceInfo, "EEtelCallGetBearerServiceInfo");
_LIT(KEEtelCallGetCallDuration, "EEtelCallGetCallDuration");
_LIT(KEEtelCallGetCallParams, "EEtelCallGetCallParams");
_LIT(KEEtelCallGetCaps, "EEtelCallGetCaps");
_LIT(KEEtelCallGetFaxSettings, "EEtelCallGetFaxSettings");
_LIT(KEEtelCallGetInfo, "EEtelCallGetInfo");
_LIT(KEEtelCallGetOwnershipStatus, "EEtelCallGetOwnershipStatus");
_LIT(KEEtelCallGetStatus, "EEtelCallGetStatus");
_LIT(KEEtelCallNotifyDurationChange, "EEtelCallNotifyDurationChange");
_LIT(KEEtelCallNotifyDurationChangeCancel, "EEtelCallNotifyDurationChangeCancel");
_LIT(KEEtelCallNotifyHookChange, "EEtelCallNotifyHookChange");
_LIT(KEEtelCallNotifyHookChangeCancel, "EEtelCallNotifyHookChangeCancel");
_LIT(KEEtelCallNotifyStatusChange, "EEtelCallNotifyStatusChange");
_LIT(KEEtelCallNotifyStatusChangeCancel, "EEtelCallNotifyStatusChangeCancel");
_LIT(KEEtelCallReferenceCount, "EEtelCallReferenceCount");
_LIT(KEEtelDbgCheckHeap, "EEtelDbgCheckHeap");
_LIT(KEEtelDbgDoDumpDebugInfo, "EEtelDbgDoDumpDebugInfo");
_LIT(KEEtelDbgFailNext, "EEtelDbgFailNext");
_LIT(KEEtelDbgMarkEnd, "EEtelDbgMarkEnd");
_LIT(KEEtelDbgMarkHeap, "EEtelDbgMarkHeap");
_LIT(KEEtelDbgSetDebugPrintMask, "EEtelDbgSetDebugPrintMask");
_LIT(KEEtelFaxWaitForEndOfPage, "EEtelFaxWaitForEndOfPage");
_LIT(KEEtelLineEnumerateCall, "EEtelLineEnumerateCall");
_LIT(KEEtelLineGetCallInfo, "EEtelLineGetCallInfo");
_LIT(KEEtelLineGetCaps, "EEtelLineGetCaps");
_LIT(KEEtelLineGetHookStatus, "EEtelLineGetHookStatus");
_LIT(KEEtelLineGetInfo, "EEtelLineGetInfo");
_LIT(KEEtelLineGetStatus, "EEtelLineGetStatus");
_LIT(KEEtelLineNotifyCallAdded, "EEtelLineNotifyCallAdded");
_LIT(KEEtelLineNotifyCallAddedCancel, "EEtelLineNotifyCallAddedCancel");
_LIT(KEEtelLineNotifyHookChange, "EEtelLineNotifyHookChange");
_LIT(KEEtelLineNotifyHookChangeCancel, "EEtelLineNotifyHookChangeCancel");
_LIT(KEEtelLineNotifyStatusChange, "EEtelLineNotifyStatusChange");
_LIT(KEEtelLineNotifyStatusChangeCancel, "EEtelLineNotifyStatusChangeCancel");
_LIT(KEEtelPhoneEnumerateLines, "EEtelPhoneEnumerateLines");
_LIT(KEEtelPhoneGetCaps, "EEtelPhoneGetCaps");
_LIT(KEEtelPhoneGetInfo, "EEtelPhoneGetInfo");
_LIT(KEEtelPhoneGetLineInfo, "EEtelPhoneGetLineInfo");
_LIT(KEEtelPhoneGetStatus, "EEtelPhoneGetStatus");
_LIT(KEEtelPhoneNotifyModemDetected, "EEtelPhoneNotifyModemDetected");
_LIT(KEEtelPhoneNotifyModemDetectedCancel, "EEtelPhoneNotifyModemDetectedCancel");
_LIT(KEEtelServerClosePhoneModule, "EEtelServerClosePhoneModule");
_LIT(KEEtelServerEnumeratePhones, "EEtelServerEnumeratePhones");
_LIT(KEEtelServerGetTsyName, "EEtelServerGetTsyName");
_LIT(KEEtelServerGetTsyVersionNo, "EEtelServerGetTsyVersionNo");
_LIT(KEEtelServerLoadPhoneModule, "EEtelServerLoadPhoneModule");
_LIT(KEEtelServerOpen, "EEtelServerOpen");
_LIT(KEEtelServerPhoneInfoByIndex, "EEtelServerPhoneInfoByIndex");
_LIT(KEEtelServerQueryTsyFunctionality, "EEtelServerQueryTsyFunctionality");
_LIT(KEEtelServerSetExtendedErrorGranularity, "EEtelServerSetExtendedErrorGranularity");
_LIT(KEEtelAdoptFaxSharedHeaderFile, "EEtelAdoptFaxSharedHeaderFile");
_LIT(KEEtelCallAcquireOwnership, "EEtelCallAcquireOwnership");
_LIT(KEEtelCallAcquireOwnershipCancel, "EEtelCallAcquireOwnershipCancel");
_LIT(KEEtelCallConnect, "EEtelCallConnect");
_LIT(KEEtelCallConnectCancel, "EEtelCallConnectCancel");
_LIT(KEEtelCallHangUp, "EEtelCallHangUp");
_LIT(KEEtelCallHangUpCancel, "EEtelCallHangUpCancel");
_LIT(KEEtelCallTransferOwnership, "EEtelCallTransferOwnership");
_LIT(KEEtelFaxTerminateFaxSession, "EEtelFaxTerminateFaxSession");
_LIT(KEEtelLineNotifyIncomingCall, "EEtelLineNotifyIncomingCall");
_LIT(KEEtelLineNotifyIncomingCallCancel, "EEtelLineNotifyIncomingCallCancel");
_LIT(KEEtelCallSetFaxSettings, "EEtelCallSetFaxSettings");
_LIT(KEEtelGlobalKernelObjectHandle, "EEtelGlobalKernelObjectHandle");
_LIT(KEEtelPhoneInitialise, "EEtelPhoneInitialise");
_LIT(KEEtelPhoneInitialiseCancel, "EEtelPhoneInitialiseCancel");
_LIT(KEEtelServerSetPriorityClient, "EEtelServerSetPriorityClient");
_LIT(KEEtelCallAnswer, "EEtelCallAnswer");
_LIT(KEEtelCallAnswerCancel, "EEtelCallAnswerCancel");
_LIT(KEEtelCallDial, "EEtelCallDial");
_LIT(KEEtelCallDialCancel, "EEtelCallDialCancel");
_LIT(KEEtelCallLoanDataPort, "EEtelCallLoanDataPort");
_LIT(KEEtelCallLoanDataPortCancel, "EEtelCallLoanDataPortCancel");
_LIT(KEEtelCallRecoverDataPort, "EEtelCallRecoverDataPort");
_LIT(KEEtelFaxRead, "EEtelFaxRead");
_LIT(KEEtelFaxWrite, "EEtelFaxWrite");
_LIT(KEEtelDbgFailNextAvail, "EEtelDbgFailNextAvail");
_LIT(KEMobileBroadcastMessagingGetCaps, "EMobileBroadcastMessagingGetCaps");
_LIT(KEMobileBroadcastMessagingNotifyIdListChange, "EMobileBroadcastMessagingNotifyIdListChange");
_LIT(KEMobileBroadcastMessagingReceiveMessage, "EMobileBroadcastMessagingReceiveMessage");
_LIT(KEMobileCallGetCurrentHscsdInfo, "EMobileCallGetCurrentHscsdInfo");
_LIT(KEMobileCallGetMobileCallCaps, "EMobileCallGetMobileCallCaps");
_LIT(KEMobileCallGetMobileCallStatus, "EMobileCallGetMobileCallStatus");
_LIT(KEMobileCallGetMobileDataCallCaps, "EMobileCallGetMobileDataCallCaps");
_LIT(KEMobileCallGetUUSCaps, "EMobileCallGetUUSCaps");
_LIT(KEMobileCallNotifyAlternatingCallSwitch, "EMobileCallNotifyAlternatingCallSwitch");
_LIT(KEMobileCallNotifyAudioToneEvent, "EMobileCallNotifyAudioToneEvent");
_LIT(KEMobileCallNotifyCallEvent, "EMobileCallNotifyCallEvent");
_LIT(KEMobileCallNotifyHscsdInfoChange, "EMobileCallNotifyHscsdInfoChange");
_LIT(KEMobileCallNotifyMobileCallCapsChange, "EMobileCallNotifyMobileCallCapsChange");
_LIT(KEMobileCallNotifyMobileCallStatusChange, "EMobileCallNotifyMobileCallStatusChange");
_LIT(KEMobileCallNotifyMobileDataCallCapsChange, "EMobileCallNotifyMobileDataCallCapsChange");
_LIT(KEMobileCallNotifyUUSCapsChange, "EMobileCallNotifyUUSCapsChange");
_LIT(KEMobileCallNotifyVoiceFallback, "EMobileCallNotifyVoiceFallback");
_LIT(KEMobileConferenceCallEnumerateCalls, "EMobileConferenceCallEnumerateCalls");
_LIT(KEMobileConferenceCallGetCaps, "EMobileConferenceCallGetCaps");
_LIT(KEMobileConferenceCallGetConferenceStatus, "EMobileConferenceCallGetConferenceStatus");
_LIT(KEMobileConferenceCallNotifyCapsChange, "EMobileConferenceCallNotifyCapsChange");
_LIT(KEMobileConferenceCallNotifyConferenceEvent, "EMobileConferenceCallNotifyConferenceEvent");
_LIT(KEMobileConferenceCallNotifyConferenceStatusChange, "EMobileConferenceCallNotifyConferenceStatusChange");
_LIT(KEMobileLineGetMobileLineStatus, "EMobileLineGetMobileLineStatus");
_LIT(KEMobileLineNotifyMobileLineStatusChange, "EMobileLineNotifyMobileLineStatusChange");
_LIT(KEMobilePhoneEnumerateUSimApplications, "EMobilePhoneEnumerateUSimApplications");
_LIT(KEMobilePhoneGetALSLine, "EMobilePhoneGetALSLine");
_LIT(KEMobilePhoneGetAlternatingCallCaps, "EMobilePhoneGetAlternatingCallCaps");
_LIT(KEMobilePhoneGetAlternatingCallMode, "EMobilePhoneGetAlternatingCallMode");
_LIT(KEMobilePhoneGetBatteryCaps, "EMobilePhoneGetBatteryCaps");
_LIT(KEMobilePhoneGetBatteryInfo, "EMobilePhoneGetBatteryInfo");
_LIT(KEMobilePhoneGetCCBSStatus, "EMobilePhoneGetCCBSStatus");
_LIT(KEMobilePhoneGetCallForwardingIndicator, "EMobilePhoneGetCallForwardingIndicator");
_LIT(KEMobilePhoneGetCallServiceCaps, "EMobilePhoneGetCallServiceCaps");
_LIT(KEMobilePhoneGetCipheringIndicatorStatus, "EMobilePhoneGetCipheringIndicatorStatus");
_LIT(KEMobilePhoneGetCompMethodName, "EMobilePhoneGetCompMethodName");
_LIT(KEMobilePhoneGetCostCaps, "EMobilePhoneGetCostCaps");
_LIT(KEMobilePhoneGetCurrentMode, "EMobilePhoneGetCurrentMode");
_LIT(KEMobilePhoneGetCustomerServiceProfile, "EMobilePhoneGetCustomerServiceProfile");
_LIT(KEMobilePhoneGetDTMFCaps, "EMobilePhoneGetDTMFCaps");
_LIT(KEMobilePhoneGetFdnStatus, "EMobilePhoneGetFdnStatus");
_LIT(KEMobilePhoneGetHomeNetworkSearchPeriod, "EMobilePhoneGetHomeNetworkSearchPeriod");
_LIT(KEMobilePhoneGetIccAccessCaps, "EMobilePhoneGetIccAccessCaps");
_LIT(KEMobilePhoneGetIdentityCaps, "EMobilePhoneGetIdentityCaps");
_LIT(KEMobilePhoneGetIdentityServiceStatus, "EMobilePhoneGetIdentityServiceStatus");
_LIT(KEMobilePhoneGetIncomingCallType, "EMobilePhoneGetIncomingCallType");
_LIT(KEMobilePhoneGetIndicator, "EMobilePhoneGetIndicator");
_LIT(KEMobilePhoneGetIndicatorCaps, "EMobilePhoneGetIndicatorCaps");
_LIT(KEMobilePhoneGetLastUsedAccessTechnology, "EMobilePhoneGetLastUsedAccessTechnology");
_LIT(KEMobilePhoneGetMulticallParams, "EMobilePhoneGetMulticallParams");
_LIT(KEMobilePhoneGetMultimediaCallPreference, "EMobilePhoneGetMultimediaCallPreference");
_LIT(KEMobilePhoneGetMultimodeCaps, "EMobilePhoneGetMultimodeCaps");
_LIT(KEMobilePhoneGetNetworkCaps, "EMobilePhoneGetNetworkCaps");
_LIT(KEMobilePhoneGetNetworkInvScanSetting, "EMobilePhoneGetNetworkInvScanSetting");
_LIT(KEMobilePhoneGetNetworkRegistrationStatus, "EMobilePhoneGetNetworkRegistrationStatus");
_LIT(KEMobilePhoneGetNetworkSecurityLevel, "EMobilePhoneGetNetworkSecurityLevel");
_LIT(KEMobilePhoneGetPersonalisationCaps, "EMobilePhoneGetPersonalisationCaps");
_LIT(KEMobilePhoneGetSecurityCaps, "EMobilePhoneGetSecurityCaps");
_LIT(KEMobilePhoneGetServiceTable, "EMobilePhoneGetServiceTable");
_LIT(KEMobilePhoneGetSignalCaps, "EMobilePhoneGetSignalCaps");
_LIT(KEMobilePhoneGetSignalStrength, "EMobilePhoneGetSignalStrength");
_LIT(KEMobilePhoneGetUSimApplicationsInfo, "EMobilePhoneGetUSimApplicationsInfo");
_LIT(KEMobilePhoneGetUSimAppsSelectionMode, "EMobilePhoneGetUSimAppsSelectionMode");
_LIT(KEMobilePhoneGetUUSSetting, "EMobilePhoneGetUUSSetting");
_LIT(KEMobilePhoneNotifyALSLineChange, "EMobilePhoneNotifyALSLineChange");
_LIT(KEMobilePhoneNotifyAlternatingCallCapsChange, "EMobilePhoneNotifyAlternatingCallCapsChange");
_LIT(KEMobilePhoneNotifyAlternatingCallModeChange, "EMobilePhoneNotifyAlternatingCallModeChange");
_LIT(KEMobilePhoneNotifyBatteryInfoChange, "EMobilePhoneNotifyBatteryInfoChange");
_LIT(KEMobilePhoneNotifyCCBSRecall, "EMobilePhoneNotifyCCBSRecall");
_LIT(KEMobilePhoneNotifyCCBSStatusChange, "EMobilePhoneNotifyCCBSStatusChange");
_LIT(KEMobilePhoneNotifyCallBarringStatusChange, "EMobilePhoneNotifyCallBarringStatusChange");
_LIT(KEMobilePhoneNotifyCallForwardingActive, "EMobilePhoneNotifyCallForwardingActive");
_LIT(KEMobilePhoneNotifyCallForwardingStatusChange, "EMobilePhoneNotifyCallForwardingStatusChange");
_LIT(KEMobilePhoneNotifyCallServiceCapsChange, "EMobilePhoneNotifyCallServiceCapsChange");
_LIT(KEMobilePhoneNotifyCallWaitingStatusChange, "EMobilePhoneNotifyCallWaitingStatusChange");
_LIT(KEMobilePhoneNotifyCipheringIndicatorStatus, "EMobilePhoneNotifyCipheringIndicatorStatus");
_LIT(KEMobilePhoneNotifyCostCapsChange, "EMobilePhoneNotifyCostCapsChange");
_LIT(KEMobilePhoneNotifyDTMFCapsChange, "EMobilePhoneNotifyDTMFCapsChange");
_LIT(KEMobilePhoneNotifyDTMFEvent, "EMobilePhoneNotifyDTMFEvent");
_LIT(KEMobilePhoneNotifyFdnStatusChange, "EMobilePhoneNotifyFdnStatusChange");
_LIT(KEMobilePhoneNotifyIccAccessCapsChange, "EMobilePhoneNotifyIccAccessCapsChange");
_LIT(KEMobilePhoneNotifyIdentityServiceStatus, "EMobilePhoneNotifyIdentityServiceStatus");
_LIT(KEMobilePhoneNotifyIdentitySuppressionRejected, "EMobilePhoneNotifyIdentitySuppressionRejected");
_LIT(KEMobilePhoneNotifyIncomingCallTypeChange, "EMobilePhoneNotifyIncomingCallTypeChange");
_LIT(KEMobilePhoneNotifyIndicatorChange, "EMobilePhoneNotifyIndicatorChange");
_LIT(KEMobilePhoneNotifyMessageWaiting, "EMobilePhoneNotifyMessageWaiting");
_LIT(KEMobilePhoneNotifyModeChange, "EMobilePhoneNotifyModeChange");
_LIT(KEMobilePhoneNotifyMulticallIndicatorChange, "EMobilePhoneNotifyMulticallIndicatorChange");
_LIT(KEMobilePhoneNotifyMulticallParamsChange, "EMobilePhoneNotifyMulticallParamsChange");
_LIT(KEMobilePhoneNotifyMultimediaCallPreferenceChange, "EMobilePhoneNotifyMultimediaCallPreferenceChange");
_LIT(KEMobilePhoneNotifyNetworkInvScanChange, "EMobilePhoneNotifyNetworkInvScanChange");
_LIT(KEMobilePhoneNotifyNetworkInvScanEvent, "EMobilePhoneNotifyNetworkInvScanEvent");
_LIT(KEMobilePhoneNotifyNetworkRegistrationStatusChange, "EMobilePhoneNotifyNetworkRegistrationStatusChange");
_LIT(KEMobilePhoneNotifyNetworkSecurityLevelChange, "EMobilePhoneNotifyNetworkSecurityLevelChange");
_LIT(KEMobilePhoneNotifySecurityCapsChange, "EMobilePhoneNotifySecurityCapsChange");
_LIT(KEMobilePhoneNotifySecurityEvent, "EMobilePhoneNotifySecurityEvent");
_LIT(KEMobilePhoneNotifySendNetworkServiceRequest, "EMobilePhoneNotifySendNetworkServiceRequest");
_LIT(KEMobilePhoneNotifySignalStrengthChange, "EMobilePhoneNotifySignalStrengthChange");
_LIT(KEMobilePhoneNotifyStorePreferredNetworksListChange, "EMobilePhoneNotifyStorePreferredNetworksListChange");
_LIT(KEMobilePhoneNotifyUSimApplicationsInfoChange, "EMobilePhoneNotifyUSimApplicationsInfoChange");
_LIT(KEMobilePhoneNotifyUSimAppsSelectionModeChange, "EMobilePhoneNotifyUSimAppsSelectionModeChange");
_LIT(KEMobilePhoneNotifyUUSSettingChange, "EMobilePhoneNotifyUUSSettingChange");
_LIT(KEMobileSmsMessagingEnumerateMessageStores, "EMobileSmsMessagingEnumerateMessageStores");
_LIT(KEMobileSmsMessagingGetCaps, "EMobileSmsMessagingGetCaps");
_LIT(KEMobileSmsMessagingGetMessageStoreInfo, "EMobileSmsMessagingGetMessageStoreInfo");
_LIT(KEMobileSmsMessagingGetMoSmsBearer, "EMobileSmsMessagingGetMoSmsBearer");
_LIT(KEMobileSmsMessagingGetReceiveMode, "EMobileSmsMessagingGetReceiveMode");
_LIT(KEMobileSmsMessagingNotifyMoSmsBearerChange, "EMobileSmsMessagingNotifyMoSmsBearerChange");
_LIT(KEMobileSmsMessagingNotifyReceiveModeChange, "EMobileSmsMessagingNotifyReceiveModeChange");
_LIT(KEMobileSmsMessagingNotifySmspListChange, "EMobileSmsMessagingNotifySmspListChange");
_LIT(KEMobileUssdMessagingGetCaps, "EMobileUssdMessagingGetCaps");
_LIT(KEMobileUssdMessagingNotifyNetworkRelease, "EMobileUssdMessagingNotifyNetworkRelease");
_LIT(KEMobilePhoneNotifyImsAuthorizationInfoChanged, "EMobilePhoneNotifyImsAuthorizationInfoChanged");
_LIT(KEMobilePhoneEnumerateSmartCardApplications, "EMobilePhoneEnumerateSmartCardApplications");
_LIT(KEMobilePhoneGetSmartCardApplicationInfo, "EMobilePhoneGetSmartCardApplicationInfo");
_LIT(KEMobilePhoneNotifySmartCardApplicationInfoChange, "EMobilePhoneNotifySmartCardApplicationInfoChange");
_LIT(KEMobilePhoneGetCurrentActiveUSimApplication, "EMobilePhoneGetCurrentActiveUSimApplication");
_LIT(KEMobileBroadcastMessagingNotifyIdListChangeCancel, "EMobileBroadcastMessagingNotifyIdListChangeCancel");
_LIT(KEMobileBroadcastMessagingReceiveMessageCancel, "EMobileBroadcastMessagingReceiveMessageCancel");
_LIT(KEMobileCallNotifyAlternatingCallSwitchCancel, "EMobileCallNotifyAlternatingCallSwitchCancel");
_LIT(KEMobileCallNotifyAudioToneEventCancel, "EMobileCallNotifyAudioToneEventCancel");
_LIT(KEMobileCallNotifyCallEventCancel, "EMobileCallNotifyCallEventCancel");
_LIT(KEMobileCallNotifyHscsdInfoChangeCancel, "EMobileCallNotifyHscsdInfoChangeCancel");
_LIT(KEMobileCallNotifyMobileCallCapsChangeCancel, "EMobileCallNotifyMobileCallCapsChangeCancel");
_LIT(KEMobileCallNotifyMobileCallStatusChangeCancel, "EMobileCallNotifyMobileCallStatusChangeCancel");
_LIT(KEMobileCallNotifyMobileDataCallCapsChangeCancel, "EMobileCallNotifyMobileDataCallCapsChangeCancel");
_LIT(KEMobileCallNotifyUUSCapsChangeCancel, "EMobileCallNotifyUUSCapsChangeCancel");
_LIT(KEMobileCallNotifyVoiceFallbackCancel, "EMobileCallNotifyVoiceFallbackCancel");
_LIT(KEMobileConferenceCallNotifyCapsChangeCancel, "EMobileConferenceCallNotifyCapsChangeCancel");
_LIT(KEMobileConferenceCallNotifyConferenceEventCancel, "EMobileConferenceCallNotifyConferenceEventCancel");
_LIT(KEMobileConferenceCallNotifyConferenceStatusChangeCancel, "EMobileConferenceCallNotifyConferenceStatusChangeCancel");
_LIT(KEMobileLineNotifyMobileLineStatusChangeCancel, "EMobileLineNotifyMobileLineStatusChangeCancel");
_LIT(KEMobilePhoneEnumerateUSimApplicationsCancel, "EMobilePhoneEnumerateUSimApplicationsCancel");
_LIT(KEMobilePhoneGetBatteryInfoCancel, "EMobilePhoneGetBatteryInfoCancel");
_LIT(KEMobilePhoneGetCCBSStatusCancel, "EMobilePhoneGetCCBSStatusCancel");
_LIT(KEMobilePhoneGetCallForwardingIndicatorCancel, "EMobilePhoneGetCallForwardingIndicatorCancel");
_LIT(KEMobilePhoneGetCipheringIndicatorStatusCancel, "EMobilePhoneGetCipheringIndicatorStatusCancel");
_LIT(KEMobilePhoneGetCompMethodNameCancel, "EMobilePhoneGetCompMethodNameCancel");
_LIT(KEMobilePhoneGetCustomerServiceProfileCancel, "EMobilePhoneGetCustomerServiceProfileCancel");
_LIT(KEMobilePhoneGetFdnStatusCancel, "EMobilePhoneGetFdnStatusCancel");
_LIT(KEMobilePhoneGetHomeNetworkSearchPeriodCancel, "EMobilePhoneGetHomeNetworkSearchPeriodCancel");
_LIT(KEMobilePhoneGetIdentityServiceStatusCancel, "EMobilePhoneGetIdentityServiceStatusCancel");
_LIT(KEMobilePhoneGetIncomingCallTypeCancel, "EMobilePhoneGetIncomingCallTypeCancel");
_LIT(KEMobilePhoneGetIndicatorCancel, "EMobilePhoneGetIndicatorCancel");
_LIT(KEMobilePhoneGetLastUsedAccessTechnologyCancel, "EMobilePhoneGetLastUsedAccessTechnologyCancel");
_LIT(KEMobilePhoneGetMulticallParamsCancel, "EMobilePhoneGetMulticallParamsCancel");
_LIT(KEMobilePhoneGetMultimediaCallPreferenceCancel, "EMobilePhoneGetMultimediaCallPreferenceCancel");
_LIT(KEMobilePhoneGetNetworkRegistrationStatusCancel, "EMobilePhoneGetNetworkRegistrationStatusCancel");
_LIT(KEMobilePhoneGetNetworkSecurityLevelCancel, "EMobilePhoneGetNetworkSecurityLevelCancel");
_LIT(KEMobilePhoneGetPersonalisationCapsCancel, "EMobilePhoneGetPersonalisationCapsCancel");
_LIT(KEMobilePhoneGetServiceTableCancel, "EMobilePhoneGetServiceTableCancel");
_LIT(KEMobilePhoneGetSignalStrengthCancel, "EMobilePhoneGetSignalStrengthCancel");
_LIT(KEMobilePhoneGetUSimApplicationsInfoCancel, "EMobilePhoneGetUSimApplicationsInfoCancel");
_LIT(KEMobilePhoneGetUSimAppsSelectionModeCancel, "EMobilePhoneGetUSimAppsSelectionModeCancel");
_LIT(KEMobilePhoneGetUUSSettingCancel, "EMobilePhoneGetUUSSettingCancel");
_LIT(KEMobilePhoneNotifyALSLineChangeCancel, "EMobilePhoneNotifyALSLineChangeCancel");
_LIT(KEMobilePhoneNotifyAlternatingCallCapsChangeCancel, "EMobilePhoneNotifyAlternatingCallCapsChangeCancel");
_LIT(KEMobilePhoneNotifyAlternatingCallModeChangeCancel, "EMobilePhoneNotifyAlternatingCallModeChangeCancel");
_LIT(KEMobilePhoneNotifyBatteryInfoChangeCancel, "EMobilePhoneNotifyBatteryInfoChangeCancel");
_LIT(KEMobilePhoneNotifyCCBSRecallCancel, "EMobilePhoneNotifyCCBSRecallCancel");
_LIT(KEMobilePhoneNotifyCCBSStatusChangeCancel, "EMobilePhoneNotifyCCBSStatusChangeCancel");
_LIT(KEMobilePhoneNotifyCallBarringStatusChangeCancel, "EMobilePhoneNotifyCallBarringStatusChangeCancel");
_LIT(KEMobilePhoneNotifyCallForwardingActiveCancel, "EMobilePhoneNotifyCallForwardingActiveCancel");
_LIT(KEMobilePhoneNotifyCallForwardingStatusChangeCancel, "EMobilePhoneNotifyCallForwardingStatusChangeCancel");
_LIT(KEMobilePhoneNotifyCallServiceCapsChangeCancel, "EMobilePhoneNotifyCallServiceCapsChangeCancel");
_LIT(KEMobilePhoneNotifyCallWaitingStatusChangeCancel, "EMobilePhoneNotifyCallWaitingStatusChangeCancel");
_LIT(KEMobilePhoneNotifyCipheringIndicatorStatusCancel, "EMobilePhoneNotifyCipheringIndicatorStatusCancel");
_LIT(KEMobilePhoneNotifyCostCapsChangeCancel, "EMobilePhoneNotifyCostCapsChangeCancel");
_LIT(KEMobilePhoneNotifyDTMFCapsChangeCancel, "EMobilePhoneNotifyDTMFCapsChangeCancel");
_LIT(KEMobilePhoneNotifyDTMFEventCancel, "EMobilePhoneNotifyDTMFEventCancel");
_LIT(KEMobilePhoneNotifyFdnStatusChangeCancel, "EMobilePhoneNotifyFdnStatusChangeCancel");
_LIT(KEMobilePhoneNotifyIccAccessCapsChangeCancel, "EMobilePhoneNotifyIccAccessCapsChangeCancel");
_LIT(KEMobilePhoneNotifyIdentityServiceStatusCancel, "EMobilePhoneNotifyIdentityServiceStatusCancel");
_LIT(KEMobilePhoneNotifyIdentitySuppressionRejectedCancel, "EMobilePhoneNotifyIdentitySuppressionRejectedCancel");
_LIT(KEMobilePhoneNotifyIncomingCallTypeChangeCancel, "EMobilePhoneNotifyIncomingCallTypeChangeCancel");
_LIT(KEMobilePhoneNotifyIndicatorChangeCancel, "EMobilePhoneNotifyIndicatorChangeCancel");
_LIT(KEMobilePhoneNotifyMessageWaitingCancel, "EMobilePhoneNotifyMessageWaitingCancel");
_LIT(KEMobilePhoneNotifyModeChangeCancel, "EMobilePhoneNotifyModeChangeCancel");
_LIT(KEMobilePhoneNotifyMulticallIndicatorChangeCancel, "EMobilePhoneNotifyMulticallIndicatorChangeCancel");
_LIT(KEMobilePhoneNotifyMulticallParamsChangeCancel, "EMobilePhoneNotifyMulticallParamsChangeCancel");
_LIT(KEMobilePhoneNotifyMultimediaCallPreferenceChangeCancel, "EMobilePhoneNotifyMultimediaCallPreferenceChangeCancel");
_LIT(KEMobilePhoneNotifyNetworkInvScanChangeCancel, "EMobilePhoneNotifyNetworkInvScanChangeCancel");
_LIT(KEMobilePhoneNotifyNetworkInvScanEventCancel, "EMobilePhoneNotifyNetworkInvScanEventCancel");
_LIT(KEMobilePhoneNotifyNetworkRegistrationStatusChangeCancel, "EMobilePhoneNotifyNetworkRegistrationStatusChangeCancel");
_LIT(KEMobilePhoneNotifyNetworkSecurityLevelChangeCancel, "EMobilePhoneNotifyNetworkSecurityLevelChangeCancel");
_LIT(KEMobilePhoneNotifySecurityCapsChangeCancel, "EMobilePhoneNotifySecurityCapsChangeCancel");
_LIT(KEMobilePhoneNotifySecurityEventCancel, "EMobilePhoneNotifySecurityEventCancel");
_LIT(KEMobilePhoneNotifySendNetworkServiceRequestCancel, "EMobilePhoneNotifySendNetworkServiceRequestCancel");
_LIT(KEMobilePhoneNotifySignalStrengthChangeCancel, "EMobilePhoneNotifySignalStrengthChangeCancel");
_LIT(KEMobilePhoneNotifyStorePreferredNetworksListChangeCancel, "EMobilePhoneNotifyStorePreferredNetworksListChangeCancel");
_LIT(KEMobilePhoneNotifyUSimApplicationsInfoChangeCancel, "EMobilePhoneNotifyUSimApplicationsInfoChangeCancel");
_LIT(KEMobilePhoneNotifyUSimAppsSelectionModeChangeCancel, "EMobilePhoneNotifyUSimAppsSelectionModeChangeCancel");
_LIT(KEMobilePhoneNotifyUUSSettingChangeCancel, "EMobilePhoneNotifyUUSSettingChangeCancel");
_LIT(KEMobileSmsMessagingGetMessageStoreInfoCancel, "EMobileSmsMessagingGetMessageStoreInfoCancel");
_LIT(KEMobileSmsMessagingNotifyMoSmsBearerChangeCancel, "EMobileSmsMessagingNotifyMoSmsBearerChangeCancel");
_LIT(KEMobileSmsMessagingNotifyReceiveModeChangeCancel, "EMobileSmsMessagingNotifyReceiveModeChangeCancel");
_LIT(KEMobileSmsMessagingNotifySmspListChangeCancel, "EMobileSmsMessagingNotifySmspListChangeCancel");
_LIT(KEMobileUssdMessagingNotifyNetworkReleaseCancel, "EMobileUssdMessagingNotifyNetworkReleaseCancel");
_LIT(KEMobilePhoneNotifyImsAuthorizationInfoChangedCancel, "EMobilePhoneNotifyImsAuthorizationInfoChangedCancel");
_LIT(KEMobilePhoneEnumerateSmartCardApplicationsCancel, "EMobilePhoneEnumerateSmartCardApplicationsCancel");
_LIT(KEMobilePhoneGetSmartCardApplicationInfoCancel, "EMobilePhoneGetSmartCardApplicationInfoCancel");
_LIT(KEMobilePhoneNotifySmartCardApplicationInfoChangeCancel, "EMobilePhoneNotifySmartCardApplicationInfoChangeCancel");
_LIT(KEMobilePhoneGetCurrentActiveUSimApplicationCancel, "EMobilePhoneGetCurrentActiveUSimApplicationCancel");
_LIT(KEMobileCallActivateCCBS, "EMobileCallActivateCCBS");
_LIT(KEMobileCallAnswerISV, "EMobileCallAnswerISV");
_LIT(KEMobileCallAnswerMultimediaCallAsVoice, "EMobileCallAnswerMultimediaCallAsVoice");
_LIT(KEMobileCallDeflect, "EMobileCallDeflect");
_LIT(KEMobileCallDialISV, "EMobileCallDialISV");
_LIT(KEMobileCallGoOneToOne, "EMobileCallGoOneToOne");
_LIT(KEMobileCallHold, "EMobileCallHold");
_LIT(KEMobileCallNotifyPrivacyConfirmation, "EMobileCallNotifyPrivacyConfirmation");
_LIT(KEMobileCallNotifyTrafficChannelConfirmation, "EMobileCallNotifyTrafficChannelConfirmation");
_LIT(KEMobileCallRejectCCBS, "EMobileCallRejectCCBS");
_LIT(KEMobileCallResume, "EMobileCallResume");
_LIT(KEMobileCallSetDynamicHscsdParams, "EMobileCallSetDynamicHscsdParams");
_LIT(KEMobileCallSetPrivacy, "EMobileCallSetPrivacy");
_LIT(KEMobileCallSetTrafficChannel, "EMobileCallSetTrafficChannel");
_LIT(KEMobileCallSwap, "EMobileCallSwap");
_LIT(KEMobileCallSwitchAlternatingCall, "EMobileCallSwitchAlternatingCall");
_LIT(KEMobileCallTransfer, "EMobileCallTransfer");
_LIT(KEMobileConferenceCallAddCall, "EMobileConferenceCallAddCall");
_LIT(KEMobileConferenceCallCreateConference, "EMobileConferenceCallCreateConference");
_LIT(KEMobileConferenceCallHangUp, "EMobileConferenceCallHangUp");
_LIT(KEMobileConferenceCallSwap, "EMobileConferenceCallSwap");
_LIT(KEMobilePhoneAcceptCCBSRecall, "EMobilePhoneAcceptCCBSRecall");
_LIT(KEMobilePhoneContinueDTMFStringSending, "EMobilePhoneContinueDTMFStringSending");
_LIT(KEMobilePhoneNotifyStopInDTMFString, "EMobilePhoneNotifyStopInDTMFString");
_LIT(KEMobilePhoneReadDTMFTones, "EMobilePhoneReadDTMFTones");
_LIT(KEMobilePhoneRefuseCCBSRecall, "EMobilePhoneRefuseCCBSRecall");
_LIT(KEMobilePhoneSendDTMFTones, "EMobilePhoneSendDTMFTones");
_LIT(KEMobilePhoneStartDTMFTone, "EMobilePhoneStartDTMFTone");
_LIT(KEMobilePhoneStopDTMFTone, "EMobilePhoneStopDTMFTone");
_LIT(KEMobilePhoneTerminateAllCalls, "EMobilePhoneTerminateAllCalls");
_LIT(KEMobilePhoneTerminateActiveCalls, "EMobilePhoneTerminateActiveCalls");
_LIT(KEMobileCallActivateCCBSCancel, "EMobileCallActivateCCBSCancel");
_LIT(KEMobileCallAnswerISVCancel, "EMobileCallAnswerISVCancel");
_LIT(KEMobileCallAnswerMultimediaCallAsVoiceCancel, "EMobileCallAnswerMultimediaCallAsVoiceCancel");
_LIT(KEMobileCallDeflectCancel, "EMobileCallDeflectCancel");
_LIT(KEMobileCallDialISVCancel, "EMobileCallDialISVCancel");
_LIT(KEMobileCallGoOneToOneCancel, "EMobileCallGoOneToOneCancel");
_LIT(KEMobileCallHoldCancel, "EMobileCallHoldCancel");
_LIT(KEMobileCallNotifyPrivacyConfirmationCancel, "EMobileCallNotifyPrivacyConfirmationCancel");
_LIT(KEMobileCallNotifyTrafficChannelConfirmationCancel, "EMobileCallNotifyTrafficChannelConfirmationCancel");
_LIT(KEMobileCallResumeCancel, "EMobileCallResumeCancel");
_LIT(KEMobileCallSetDynamicHscsdParamsCancel, "EMobileCallSetDynamicHscsdParamsCancel");
_LIT(KEMobileCallSwapCancel, "EMobileCallSwapCancel");
_LIT(KEMobileCallSwitchAlternatingCallCancel, "EMobileCallSwitchAlternatingCallCancel");
_LIT(KEMobileCallTransferCancel, "EMobileCallTransferCancel");
_LIT(KEMobileConferenceCallAddCallCancel, "EMobileConferenceCallAddCallCancel");
_LIT(KEMobileConferenceCallCreateConferenceCancel, "EMobileConferenceCallCreateConferenceCancel");
_LIT(KEMobileConferenceCallHangUpCancel, "EMobileConferenceCallHangUpCancel");
_LIT(KEMobileConferenceCallSwapCancel, "EMobileConferenceCallSwapCancel");
_LIT(KEMobilePhoneAcceptCCBSRecallCancel, "EMobilePhoneAcceptCCBSRecallCancel");
_LIT(KEMobilePhoneNotifyStopInDTMFStringCancel, "EMobilePhoneNotifyStopInDTMFStringCancel");
_LIT(KEMobilePhoneReadDTMFTonesCancel, "EMobilePhoneReadDTMFTonesCancel");
_LIT(KEMobilePhoneSendDTMFTonesCancel, "EMobilePhoneSendDTMFTonesCancel");
_LIT(KEMobilePhoneTerminateAllCallsCancel, "EMobilePhoneTerminateAllCallsCancel");
_LIT(KEMobilePhoneTerminateActiveCallsCancel, "EMobilePhoneTerminateActiveCallsCancel");
_LIT(KEMobileConferenceCallGetMobileCallInfo, "EMobileConferenceCallGetMobileCallInfo");
_LIT(KEMobilePhoneEnumerateAPNEntries, "EMobilePhoneEnumerateAPNEntries");
_LIT(KEMobilePhoneGetAPNname, "EMobilePhoneGetAPNname");
_LIT(KEMobilePhoneGetFeatureCode, "EMobilePhoneGetFeatureCode");
_LIT(KEMobilePhoneGetHomeNetwork, "EMobilePhoneGetHomeNetwork");
_LIT(KEMobilePhoneGetIccMessageWaitingIndicators, "EMobilePhoneGetIccMessageWaitingIndicators");
_LIT(KEMobilePhoneGetLockInfo, "EMobilePhoneGetLockInfo");
_LIT(KEMobilePhoneGetMmsConfig, "EMobilePhoneGetMmsConfig");
_LIT(KEMobilePhoneGetNITZInfo, "EMobilePhoneGetNITZInfo");
_LIT(KEMobilePhoneGetCellInfo, "EMobilePhoneGetCellInfo");
_LIT(KEMobilePhoneGetNetworkName, "EMobilePhoneGetNetworkName");
_LIT(KEMobilePhoneGetNetworkSelectionSetting, "EMobilePhoneGetNetworkSelectionSetting");
_LIT(KEMobilePhoneGetPersonalisationStatus, "EMobilePhoneGetPersonalisationStatus");
_LIT(KEMobilePhoneGetPhoneId, "EMobilePhoneGetPhoneId");
_LIT(KEMobilePhoneGetPhoneStoreInfo, "EMobilePhoneGetPhoneStoreInfo");
_LIT(KEMobilePhoneGetPreferredNetworksPhase1, "EMobilePhoneGetPreferredNetworksPhase1");
_LIT(KEMobilePhoneGetPreferredNetworksPhase2, "EMobilePhoneGetPreferredNetworksPhase2");
_LIT(KEMobilePhoneGetServiceProviderName, "EMobilePhoneGetServiceProviderName");
_LIT(KEMobilePhoneGetSubscriberId, "EMobilePhoneGetSubscriberId");
_LIT(KEMobilePhoneNotifyIccMessageWaitingIndicatorsChange, "EMobilePhoneNotifyIccMessageWaitingIndicatorsChange");
_LIT(KEMobilePhoneNotifyLockInfoChange, "EMobilePhoneNotifyLockInfoChange");
_LIT(KEMobilePhoneNotifyMmsConfig, "EMobilePhoneNotifyMmsConfig");
_LIT(KEMobilePhoneNotifyMmsUpdate, "EMobilePhoneNotifyMmsUpdate");
_LIT(KEMobilePhoneNotifyNITZInfoChange, "EMobilePhoneNotifyNITZInfoChange");
_LIT(KEMobilePhoneNotifyCellInfoChange, "EMobilePhoneNotifyCellInfoChange");
_LIT(KEMobilePhoneNotifyNetworkSelectionSettingChange, "EMobilePhoneNotifyNetworkSelectionSettingChange");
_LIT(KEMobilePhoneStoreReadAllPhase1, "EMobilePhoneStoreReadAllPhase1");
_LIT(KEMobilePhoneStoreReadAllPhase2, "EMobilePhoneStoreReadAllPhase2");
_LIT(KEMobilePhoneStoreReadAllV4Phase1, "EMobilePhoneStoreReadAllV4Phase1");
_LIT(KEMobilePhoneStoreReadAllV4Phase2, "EMobilePhoneStoreReadAllV4Phase2");
_LIT(KEMobileSmsMessagingGetSmspListPhase1, "EMobileSmsMessagingGetSmspListPhase1");
_LIT(KEMobileSmsMessagingGetSmspListPhase2, "EMobileSmsMessagingGetSmspListPhase2");
_LIT(KEMobilePhoneAuthorizationInfoPhase1, "EMobilePhoneAuthorizationInfoPhase1");
_LIT(KEMobilePhoneAuthorizationInfoPhase2, "EMobilePhoneAuthorizationInfoPhase2");
_LIT(KEMobilePhoneIMSAuthenticate, "EMobilePhoneIMSAuthenticate");
_LIT(KEMobilePhoneGetScFileInfo, "EMobilePhoneGetScFileInfo");
_LIT(KEMobilePhoneReadScFile, "EMobilePhoneReadScFile");
_LIT(KEMobilePhoneGetIccIdentity, "EMobilePhoneGetIccIdentity");
_LIT(KEMobilePhoneGetSecurityCodeInfo, "EMobilePhoneGetSecurityCodeInfo");
_LIT(KEMobilePhoneNotifySecurityCodeInfoChange, "EMobilePhoneNotifySecurityCodeInfoChange");
_LIT(KEMobilePhoneSmartCardAuthenticate, "EMobilePhoneSmartCardAuthenticate");
_LIT(KEMobileSmartCardEapGetAuthenticationStatus, "EMobileSmartCardEapGetAuthenticationStatus");
_LIT(KEMobileSmartCardEapGetUserIdentity, "EMobileSmartCardEapGetUserIdentity");
_LIT(KEMobileSmartCardEapGetEapKey, "EMobileSmartCardEapGetEapKey");
_LIT(KEMobileSmartCardEapNotifyEapMethodAccessStatusChange, "EMobileSmartCardEapNotifyEapMethodAccessStatusChange");
_LIT(KEMobileSmartCardEapAuthenticationPhase1, "EMobileSmartCardEapAuthenticationPhase1");
_LIT(KEMobileSmartCardEapAuthenticationPhase2, "EMobileSmartCardEapAuthenticationPhase2");
_LIT(KEMobileSmartCardEapReleaseEapMethod, "EMobileSmartCardEapReleaseEapMethod");
_LIT(KEMobileSmartCardEapGetEapMethodAccessStatus, "EMobileSmartCardEapGetEapMethodAccessStatus");
_LIT(KEMobilePhoneNotifyAPNListChanged, "EMobilePhoneNotifyAPNListChanged");
_LIT(KEMobilePhoneGetAPNControlListServiceStatus, "EMobilePhoneGetAPNControlListServiceStatus");
_LIT(KEMobilePhoneNotifyAPNControlListServiceStatusChange, "EMobilePhoneNotifyAPNControlListServiceStatusChange");
_LIT(KEMobilePhoneEnumerateAPNEntriesCancel, "EMobilePhoneEnumerateAPNEntriesCancel");
_LIT(KEMobilePhoneGetAPNnameCancel, "EMobilePhoneGetAPNnameCancel");
_LIT(KEMobilePhoneGetFeatureCodeCancel, "EMobilePhoneGetFeatureCodeCancel");
_LIT(KEMobilePhoneGetHomeNetworkCancel, "EMobilePhoneGetHomeNetworkCancel");
_LIT(KEMobilePhoneGetIccMessageWaitingIndicatorsCancel, "EMobilePhoneGetIccMessageWaitingIndicatorsCancel");
_LIT(KEMobilePhoneGetLockInfoCancel, "EMobilePhoneGetLockInfoCancel");
_LIT(KEMobilePhoneGetMmsConfigCancel, "EMobilePhoneGetMmsConfigCancel");
_LIT(KEMobilePhoneGetNetworkNameCancel, "EMobilePhoneGetNetworkNameCancel");
_LIT(KEMobilePhoneGetPersonalisationStatusCancel, "EMobilePhoneGetPersonalisationStatusCancel");
_LIT(KEMobilePhoneGetPhoneIdCancel, "EMobilePhoneGetPhoneIdCancel");
_LIT(KEMobilePhoneGetPhoneStoreInfoCancel, "EMobilePhoneGetPhoneStoreInfoCancel");
_LIT(KEMobilePhoneGetPreferredNetworksCancel, "EMobilePhoneGetPreferredNetworksCancel");
_LIT(KEMobilePhoneGetServiceProviderNameCancel, "EMobilePhoneGetServiceProviderNameCancel");
_LIT(KEMobilePhoneGetSubscriberIdCancel, "EMobilePhoneGetSubscriberIdCancel");
_LIT(KEMobilePhoneNotifyIccMessageWaitingIndicatorsChangeCancel, "EMobilePhoneNotifyIccMessageWaitingIndicatorsChangeCancel");
_LIT(KEMobilePhoneNotifyLockInfoChangeCancel, "EMobilePhoneNotifyLockInfoChangeCancel");
_LIT(KEMobilePhoneNotifyMmsConfigCancel, "EMobilePhoneNotifyMmsConfigCancel");
_LIT(KEMobilePhoneNotifyMmsUpdateCancel, "EMobilePhoneNotifyMmsUpdateCancel");
_LIT(KEMobilePhoneNotifyNITZInfoChangeCancel, "EMobilePhoneNotifyNITZInfoChangeCancel");
_LIT(KEMobilePhoneNotifyCellInfoChangeCancel, "EMobilePhoneNotifyCellInfoChangeCancel");
_LIT(KEMobilePhoneNotifyNetworkSelectionSettingChangeCancel, "EMobilePhoneNotifyNetworkSelectionSettingChangeCancel");
_LIT(KEMobilePhoneStoreReadAllCancel, "EMobilePhoneStoreReadAllCancel");
_LIT(KEMobilePhoneStoreReadAllV4Cancel, "EMobilePhoneStoreReadAllV4Cancel");
_LIT(KEMobileSmsMessagingGetSmspListCancel, "EMobileSmsMessagingGetSmspListCancel");
_LIT(KEMobilePhoneAuthorizationInfoCancel, "EMobilePhoneAuthorizationInfoCancel");
_LIT(KEMobilePhoneIMSAuthenticateCancel, "EMobilePhoneIMSAuthenticateCancel");
_LIT(KEMobilePhoneGetScFileInfoCancel, "EMobilePhoneGetScFileInfoCancel");
_LIT(KEMobilePhoneReadScFileCancel, "EMobilePhoneReadScFileCancel");
_LIT(KEMobilePhoneGetIccIdentityCancel, "EMobilePhoneGetIccIdentityCancel");
_LIT(KEMobilePhoneGetSecurityCodeInfoCancel, "EMobilePhoneGetSecurityCodeInfoCancel");
_LIT(KEMobilePhoneNotifySecurityCodeInfoChangeCancel, "EMobilePhoneNotifySecurityCodeInfoChangeCancel");
_LIT(KEMobilePhoneSmartCardAuthenticateCancel, "EMobilePhoneSmartCardAuthenticateCancel");
_LIT(KEMobileSmartCardEapGetAuthenticationStatusCancel, "EMobileSmartCardEapGetAuthenticationStatusCancel");
_LIT(KEMobileSmartCardEapGetUserIdentityCancel, "EMobileSmartCardEapGetUserIdentityCancel");
_LIT(KEMobileSmartCardEapGetEapKeyCancel, "EMobileSmartCardEapGetEapKeyCancel");
_LIT(KEMobileSmartCardEapNotifyEapMethodAccessStatusChangeCancel, "EMobileSmartCardEapNotifyEapMethodAccessStatusChangeCancel");
_LIT(KEMobileSmartCardEapAuthenticationCancel, "EMobileSmartCardEapAuthenticationCancel");
_LIT(KEMobilePhoneNotifyAPNListChangedCancel, "EMobilePhoneNotifyAPNListChangedCancel");
_LIT(KEMobilePhoneGetAPNControlListServiceStatusCancel, "EMobilePhoneGetAPNControlListServiceStatusCancel");
_LIT(KEMobilePhoneNotifyAPNControlListServiceStatusChangeCancel, "EMobilePhoneNotifyAPNControlListServiceStatusChangeCancel");
_LIT(KEMobileNamStoreSetActiveNam, "EMobileNamStoreSetActiveNam");
_LIT(KEMobileNamStoreStoreAll, "EMobileNamStoreStoreAll");
_LIT(KEMobileNamStoreStoreAllV4, "EMobileNamStoreStoreAllV4");
_LIT(KEMobilePhoneAbortSecurityCode, "EMobilePhoneAbortSecurityCode");
_LIT(KEMobilePhoneChangeSecurityCode, "EMobilePhoneChangeSecurityCode");
_LIT(KEMobilePhoneClearBlacklist, "EMobilePhoneClearBlacklist");
_LIT(KEMobilePhoneClearCostMeter, "EMobilePhoneClearCostMeter");
_LIT(KEMobilePhoneProgramFeatureCode, "EMobilePhoneProgramFeatureCode");
_LIT(KEMobilePhoneSetALSLine, "EMobilePhoneSetALSLine");
_LIT(KEMobilePhoneSetAlternatingCallMode, "EMobilePhoneSetAlternatingCallMode");
_LIT(KEMobilePhoneSetFdnSetting, "EMobilePhoneSetFdnSetting");
_LIT(KEMobilePhoneSetIccMessageWaitingIndicators, "EMobilePhoneSetIccMessageWaitingIndicators");
_LIT(KEMobilePhoneSetIdentityServiceStatus, "EMobilePhoneSetIdentityServiceStatus");
_LIT(KEMobilePhoneSetIncomingCallType, "EMobilePhoneSetIncomingCallType");
_LIT(KEMobilePhoneSetLockSetting, "EMobilePhoneSetLockSetting");
_LIT(KEMobilePhoneSetMaxCostMeter, "EMobilePhoneSetMaxCostMeter");
_LIT(KEMobilePhoneSetMmsUserConnParams, "EMobilePhoneSetMmsUserConnParams");
_LIT(KEMobilePhoneSetMmsUserPreferences, "EMobilePhoneSetMmsUserPreferences");
_LIT(KEMobilePhoneSetMulticallParams, "EMobilePhoneSetMulticallParams");
_LIT(KEMobilePhoneSetMultimediaCallPreference, "EMobilePhoneSetMultimediaCallPreference");
_LIT(KEMobilePhoneSetNetworkSelectionSetting, "EMobilePhoneSetNetworkSelectionSetting");
_LIT(KEMobilePhoneSetPuct, "EMobilePhoneSetPuct");
_LIT(KEMobilePhoneSetUSimApplicationStatus, "EMobilePhoneSetUSimApplicationStatus");
_LIT(KEMobilePhoneSetUSimAppsSelectionMode, "EMobilePhoneSetUSimAppsSelectionMode");
_LIT(KEMobilePhoneStorePreferredNetworksList, "EMobilePhoneStorePreferredNetworksList");
_LIT(KEMobilePhoneVerifySecurityCode, "EMobilePhoneVerifySecurityCode");
_LIT(KEMobileSmsMessagingSetMoSmsBearer, "EMobileSmsMessagingSetMoSmsBearer");
_LIT(KEMobileSmsMessagingSetReceiveMode, "EMobileSmsMessagingSetReceiveMode");
_LIT(KEMobileSmsMessagingStoreSmspList, "EMobileSmsMessagingStoreSmspList");
_LIT(KEMobilePhoneSetSmartCardApplicationStatus, "EMobilePhoneSetSmartCardApplicationStatus");
_LIT(KEMobilePhoneUpdateScFile, "EMobilePhoneUpdateScFile");
_LIT(KEMobilePhoneAppendAPNName, "EMobilePhoneAppendAPNName");
_LIT(KEMobilePhoneDeleteAPNName, "EMobilePhoneDeleteAPNName");
_LIT(KEMobileNamStoreSetActiveNamCancel, "EMobileNamStoreSetActiveNamCancel");
_LIT(KEMobileNamStoreStoreAllCancel, "EMobileNamStoreStoreAllCancel");
_LIT(KEMobileNamStoreStoreAllV4Cancel, "EMobileNamStoreStoreAllV4Cancel");
_LIT(KEMobilePhoneChangeSecurityCodeCancel, "EMobilePhoneChangeSecurityCodeCancel");
_LIT(KEMobilePhoneClearBlacklistCancel, "EMobilePhoneClearBlacklistCancel");
_LIT(KEMobilePhoneClearCostMeterCancel, "EMobilePhoneClearCostMeterCancel");
_LIT(KEMobilePhoneProgramFeatureCodeCancel, "EMobilePhoneProgramFeatureCodeCancel");
_LIT(KEMobilePhoneSetALSLineCancel, "EMobilePhoneSetALSLineCancel");
_LIT(KEMobilePhoneSetAlternatingCallModeCancel, "EMobilePhoneSetAlternatingCallModeCancel");
_LIT(KEMobilePhoneSetFdnSettingCancel, "EMobilePhoneSetFdnSettingCancel");
_LIT(KEMobilePhoneSetIccMessageWaitingIndicatorsCancel, "EMobilePhoneSetIccMessageWaitingIndicatorsCancel");
_LIT(KEMobilePhoneSetIdentityServiceStatusCancel, "EMobilePhoneSetIdentityServiceStatusCancel");
_LIT(KEMobilePhoneSetIncomingCallTypeCancel, "EMobilePhoneSetIncomingCallTypeCancel");
_LIT(KEMobilePhoneSetLockSettingCancel, "EMobilePhoneSetLockSettingCancel");
_LIT(KEMobilePhoneSetMaxCostMeterCancel, "EMobilePhoneSetMaxCostMeterCancel");
_LIT(KEMobilePhoneSetMmsUserConnParamsCancel, "EMobilePhoneSetMmsUserConnParamsCancel");
_LIT(KEMobilePhoneSetMmsUserPreferencesCancel, "EMobilePhoneSetMmsUserPreferencesCancel");
_LIT(KEMobilePhoneSetMulticallParamsCancel, "EMobilePhoneSetMulticallParamsCancel");
_LIT(KEMobilePhoneSetMultimediaCallPreferenceCancel, "EMobilePhoneSetMultimediaCallPreferenceCancel");
_LIT(KEMobilePhoneSetNetworkSelectionSettingCancel, "EMobilePhoneSetNetworkSelectionSettingCancel");
_LIT(KEMobilePhoneSetPuctCancel, "EMobilePhoneSetPuctCancel");
_LIT(KEMobilePhoneSetUSimApplicationStatusCancel, "EMobilePhoneSetUSimApplicationStatusCancel");
_LIT(KEMobilePhoneSetUSimAppsSelectionModeCancel, "EMobilePhoneSetUSimAppsSelectionModeCancel");
_LIT(KEMobilePhoneStorePreferredNetworksListCancel, "EMobilePhoneStorePreferredNetworksListCancel");
_LIT(KEMobilePhoneVerifySecurityCodeCancel, "EMobilePhoneVerifySecurityCodeCancel");
_LIT(KEMobileSmsMessagingSetMoSmsBearerCancel, "EMobileSmsMessagingSetMoSmsBearerCancel");
_LIT(KEMobileSmsMessagingSetReceiveModeCancel, "EMobileSmsMessagingSetReceiveModeCancel");
_LIT(KEMobileSmsMessagingStoreSmspListCancel, "EMobileSmsMessagingStoreSmspListCancel");
_LIT(KEMobilePhoneSetSmartCardApplicationStatusCancel, "EMobilePhoneSetSmartCardApplicationStatusCancel");
_LIT(KEMobilePhoneUpdateScFileCancel, "EMobilePhoneUpdateScFileCancel");
_LIT(KEMobilePhoneAppendAPNNameCancel, "EMobilePhoneAppendAPNNameCancel");
_LIT(KEMobilePhoneDeleteAPNNameCancel, "EMobilePhoneDeleteAPNNameCancel");
_LIT(KEMobileBroadcastMessagingGetFilterSetting, "EMobileBroadcastMessagingGetFilterSetting");
_LIT(KEMobileBroadcastMessagingGetIdListPhase1, "EMobileBroadcastMessagingGetIdListPhase1");
_LIT(KEMobileBroadcastMessagingGetIdListPhase2, "EMobileBroadcastMessagingGetIdListPhase2");
_LIT(KEMobileBroadcastMessagingGetLanguageFilter, "EMobileBroadcastMessagingGetLanguageFilter");
_LIT(KEMobileBroadcastMessagingNotifyFilterSettingChange, "EMobileBroadcastMessagingNotifyFilterSettingChange");
_LIT(KEMobileBroadcastMessagingNotifyLanguageFilterChange, "EMobileBroadcastMessagingNotifyLanguageFilterChange");
_LIT(KEMobileCallGetMobileCallInfo, "EMobileCallGetMobileCallInfo");
_LIT(KEMobileCallNotifyRemotePartyInfoChange, "EMobileCallNotifyRemotePartyInfoChange");
_LIT(KEMobilePhoneBookStoreRead, "EMobilePhoneBookStoreRead");
_LIT(KEMobilePhoneGetAirTimeDuration, "EMobilePhoneGetAirTimeDuration");
_LIT(KEMobilePhoneGetCostInfo, "EMobilePhoneGetCostInfo");
_LIT(KEMobilePhoneGetCurrentNetworkNoLocation, "EMobilePhoneGetCurrentNetworkNoLocation");
_LIT(KEMobilePhoneGetMailboxNumbers, "EMobilePhoneGetMailboxNumbers");
_LIT(KEMobilePhoneNotifyAirTimeDurationChange, "EMobilePhoneNotifyAirTimeDurationChange");
_LIT(KEMobilePhoneNotifyCostInfoChange, "EMobilePhoneNotifyCostInfoChange");
_LIT(KEMobilePhoneNotifyCurrentNetworkNoLocationChange, "EMobilePhoneNotifyCurrentNetworkNoLocationChange");
_LIT(KEMobilePhoneNotifyMailboxNumbersChange, "EMobilePhoneNotifyMailboxNumbersChange");
_LIT(KEMobilePhoneStoreGetInfo, "EMobilePhoneStoreGetInfo");
_LIT(KEMobilePhoneStoreNotifyStoreEvent, "EMobilePhoneStoreNotifyStoreEvent");
_LIT(KEMobilePhoneStoreRead, "EMobilePhoneStoreRead");
_LIT(KEMobileBroadcastMessagingGetIdListCancel, "EMobileBroadcastMessagingGetIdListCancel");
_LIT(KEMobileBroadcastMessagingGetLanguageFilterCancel, "EMobileBroadcastMessagingGetLanguageFilterCancel");
_LIT(KEMobileBroadcastMessagingNotifyFilterSettingChangeCancel, "EMobileBroadcastMessagingNotifyFilterSettingChangeCancel");
_LIT(KEMobileBroadcastMessagingNotifyLanguageFilterChangeCancel, "EMobileBroadcastMessagingNotifyLanguageFilterChangeCancel");
_LIT(KEMobileCallGetMobileCallInfoCancel, "EMobileCallGetMobileCallInfoCancel");
_LIT(KEMobileCallNotifyRemotePartyInfoChangeCancel, "EMobileCallNotifyRemotePartyInfoChangeCancel");
_LIT(KEMobilePhoneBookStoreReadCancel, "EMobilePhoneBookStoreReadCancel");
_LIT(KEMobilePhoneGetCostInfoCancel, "EMobilePhoneGetCostInfoCancel");
_LIT(KEMobilePhoneGetCurrentNetworkNoLocationCancel, "EMobilePhoneGetCurrentNetworkNoLocationCancel");
_LIT(KEMobilePhoneGetMailboxNumbersCancel, "EMobilePhoneGetMailboxNumbersCancel");
_LIT(KEMobilePhoneNotifyAirTimeDurationChangeCancel, "EMobilePhoneNotifyAirTimeDurationChangeCancel");
_LIT(KEMobilePhoneNotifyCostInfoChangeCancel, "EMobilePhoneNotifyCostInfoChangeCancel");
_LIT(KEMobilePhoneNotifyCurrentNetworkNoLocationChangeCancel, "EMobilePhoneNotifyCurrentNetworkNoLocationChangeCancel");
_LIT(KEMobilePhoneNotifyMailboxNumbersChangeCancel, "EMobilePhoneNotifyMailboxNumbersChangeCancel");
_LIT(KEMobilePhoneStoreGetInfoCancel, "EMobilePhoneStoreGetInfoCancel");
_LIT(KEMobilePhoneStoreNotifyStoreEventCancel, "EMobilePhoneStoreNotifyStoreEventCancel");
_LIT(KEMobilePhoneStoreReadCancel, "EMobilePhoneStoreReadCancel");
_LIT(KEMobileBroadcastMessagingSetFilterSetting, "EMobileBroadcastMessagingSetFilterSetting");
_LIT(KEMobileBroadcastMessagingSetLanguageFilter, "EMobileBroadcastMessagingSetLanguageFilter");
_LIT(KEMobileBroadcastMessagingStoreIdList, "EMobileBroadcastMessagingStoreIdList");
_LIT(KEMobileONStoreStoreAll, "EMobileONStoreStoreAll");
_LIT(KEMobilePhoneBookStoreWrite, "EMobilePhoneBookStoreWrite");
_LIT(KEMobilePhoneStoreDelete, "EMobilePhoneStoreDelete");
_LIT(KEMobilePhoneStoreDeleteAll, "EMobilePhoneStoreDeleteAll");
_LIT(KEMobilePhoneStoreWrite, "EMobilePhoneStoreWrite");
_LIT(KEMobileBroadcastMessagingSetFilterSettingCancel, "EMobileBroadcastMessagingSetFilterSettingCancel");
_LIT(KEMobileBroadcastMessagingSetLanguageFilterCancel, "EMobileBroadcastMessagingSetLanguageFilterCancel");
_LIT(KEMobileBroadcastMessagingStoreIdListCancel, "EMobileBroadcastMessagingStoreIdListCancel");
_LIT(KEMobileONStoreStoreAllCancel, "EMobileONStoreStoreAllCancel");
_LIT(KEMobilePhoneBookStoreWriteCancel, "EMobilePhoneBookStoreWriteCancel");
_LIT(KEMobilePhoneStoreDeleteAllCancel, "EMobilePhoneStoreDeleteAllCancel");
_LIT(KEMobilePhoneStoreDeleteCancel, "EMobilePhoneStoreDeleteCancel");
_LIT(KEMobilePhoneStoreWriteCancel, "EMobilePhoneStoreWriteCancel");
_LIT(KEMobilePhoneGetCurrentNetwork, "EMobilePhoneGetCurrentNetwork");
_LIT(KEMobilePhoneNotifyCurrentNetworkChange, "EMobilePhoneNotifyCurrentNetworkChange");
_LIT(KEMobilePhoneGetCurrentNetworkCancel, "EMobilePhoneGetCurrentNetworkCancel");
_LIT(KEMobilePhoneNotifyCurrentNetworkChangeCancel, "EMobilePhoneNotifyCurrentNetworkChangeCancel");
_LIT(KEMobileCallDialEmergencyCall, "EMobileCallDialEmergencyCall");
_LIT(KEMobileCallDialNoFdnCheck, "EMobileCallDialNoFdnCheck");
_LIT(KEMobileSmsMessagingAckSmsStored, "EMobileSmsMessagingAckSmsStored");
_LIT(KEMobileSmsMessagingNackSmsStored, "EMobileSmsMessagingNackSmsStored");
_LIT(KEMobileSmsMessagingResumeSmsReception, "EMobileSmsMessagingResumeSmsReception");
_LIT(KEMobileSmsMessagingSendMessageNoFdnCheck, "EMobileSmsMessagingSendMessageNoFdnCheck");
_LIT(KEMobileUssdMessagingSendRelease, "EMobileUssdMessagingSendRelease");
_LIT(KEMobileCallDialEmergencyCallCancel, "EMobileCallDialEmergencyCallCancel");
_LIT(KEMobileCallDialNoFdnCheckCancel, "EMobileCallDialNoFdnCheckCancel");
_LIT(KEMobileSmsMessagingAckSmsStoredCancel, "EMobileSmsMessagingAckSmsStoredCancel");
_LIT(KEMobileSmsMessagingNackSmsStoredCancel, "EMobileSmsMessagingNackSmsStoredCancel");
_LIT(KEMobileSmsMessagingResumeSmsReceptionCancel, "EMobileSmsMessagingResumeSmsReceptionCancel");
_LIT(KEMobileSmsMessagingSendMessageNoFdnCheckCancel, "EMobileSmsMessagingSendMessageNoFdnCheckCancel");
_LIT(KEMobileUssdMessagingSendReleaseCancel, "EMobileUssdMessagingSendReleaseCancel");
_LIT(KEMobilePhoneSendNetworkServiceRequestNoFdnCheck, "EMobilePhoneSendNetworkServiceRequestNoFdnCheck");
_LIT(KEMobileUssdMessagingSendMessage, "EMobileUssdMessagingSendMessage");
_LIT(KEMobileUssdMessagingSendMessageNoFdnCheck, "EMobileUssdMessagingSendMessageNoFdnCheck");
_LIT(KEMobilePhoneSendNetworkServiceRequestNoFdnCheckCancel, "EMobilePhoneSendNetworkServiceRequestNoFdnCheckCancel");
_LIT(KEMobileUssdMessagingSendMessageCancel, "EMobileUssdMessagingSendMessageCancel");
_LIT(KEMobileUssdMessagingSendMessageNoFdnCheckCancel, "EMobileUssdMessagingSendMessageNoFdnCheckCancel");
_LIT(KEMobileCallGetMobileDataCallRLPRange, "EMobileCallGetMobileDataCallRLPRange");
_LIT(KEMobilePhoneGetDefaultPrivacy, "EMobilePhoneGetDefaultPrivacy");
_LIT(KEMobilePhoneNotifyDefaultPrivacyChange, "EMobilePhoneNotifyDefaultPrivacyChange");
_LIT(KEMobileUssdMessagingReceiveMessage, "EMobileUssdMessagingReceiveMessage");
_LIT(KEMobileSmartCardEapInitialiseEapMethod, "EMobileSmartCardEapInitialiseEapMethod");
_LIT(KEMobileCallGetMobileDataCallRLPRangeCancel, "EMobileCallGetMobileDataCallRLPRangeCancel");
_LIT(KEMobilePhoneNotifyDefaultPrivacyChangeCancel, "EMobilePhoneNotifyDefaultPrivacyChangeCancel");
_LIT(KEMobileUssdMessagingReceiveMessageCancel, "EMobileUssdMessagingReceiveMessageCancel");
_LIT(KEMobileSmartCardEapInitialiseEapMethodCancel, "EMobileSmartCardEapInitialiseEapMethodCancel");
_LIT(KEMobilePhoneMMInitialise, "EMobilePhoneMMInitialise");
_LIT(KEMobilePhoneSetDefaultPrivacy, "EMobilePhoneSetDefaultPrivacy");
_LIT(KEMobilePhoneSetPersonalisationStatus, "EMobilePhoneSetPersonalisationStatus");
_LIT(KEMobilePhoneMMInitialiseCancel, "EMobilePhoneMMInitialiseCancel");
_LIT(KEMobilePhoneSetDefaultPrivacyCancel, "EMobilePhoneSetDefaultPrivacyCancel");
_LIT(KEMobilePhoneSetPersonalisationStatusCancel, "EMobilePhoneSetPersonalisationStatusCancel");
_LIT(KEMobilePhoneGetBarringStatusPhase1, "EMobilePhoneGetBarringStatusPhase1");
_LIT(KEMobilePhoneGetBarringStatusPhase2, "EMobilePhoneGetBarringStatusPhase2");
_LIT(KEMobilePhoneGetCallForwardingStatusPhase1, "EMobilePhoneGetCallForwardingStatusPhase1");
_LIT(KEMobilePhoneGetCallForwardingStatusPhase2, "EMobilePhoneGetCallForwardingStatusPhase2");
_LIT(KEMobilePhoneGetCompletionRequestsPhase1, "EMobilePhoneGetCompletionRequestsPhase1");
_LIT(KEMobilePhoneGetCompletionRequestsPhase2, "EMobilePhoneGetCompletionRequestsPhase2");
_LIT(KEMobilePhoneGetDetectedNetworksPhase1, "EMobilePhoneGetDetectedNetworksPhase1");
_LIT(KEMobilePhoneGetDetectedNetworksPhase2, "EMobilePhoneGetDetectedNetworksPhase2");
_LIT(KEMobilePhoneGetDetectedNetworksV2Phase1, "EMobilePhoneGetDetectedNetworksV2Phase1");
_LIT(KEMobilePhoneGetDetectedNetworksV2Phase2, "EMobilePhoneGetDetectedNetworksV2Phase2");
_LIT(KEMobilePhoneGetWaitingStatusPhase1, "EMobilePhoneGetWaitingStatusPhase1");
_LIT(KEMobilePhoneGetWaitingStatusPhase2, "EMobilePhoneGetWaitingStatusPhase2");
_LIT(KEMobilePhoneGetDetectedNetworksV5Phase1, "EMobilePhoneGetDetectedNetworksV5Phase1");
_LIT(KEMobilePhoneGetDetectedNetworksV5Phase2, "EMobilePhoneGetDetectedNetworksV5Phase2");
_LIT(KEMobilePhoneGetBarringStatusCancel, "EMobilePhoneGetBarringStatusCancel");
_LIT(KEMobilePhoneGetCallForwardingStatusCancel, "EMobilePhoneGetCallForwardingStatusCancel");
_LIT(KEMobilePhoneGetCompletionRequestsCancel, "EMobilePhoneGetCompletionRequestsCancel");
_LIT(KEMobilePhoneGetDetectedNetworksCancel, "EMobilePhoneGetDetectedNetworksCancel");
_LIT(KEMobilePhoneGetDetectedNetworksV2Cancel, "EMobilePhoneGetDetectedNetworksV2Cancel");
_LIT(KEMobilePhoneGetWaitingStatusCancel, "EMobilePhoneGetWaitingStatusCancel");
_LIT(KEMobilePhoneGetDetectedNetworksV5Cancel, "EMobilePhoneGetDetectedNetworksV5Cancel");
_LIT(KEMobileCallReceiveUUI, "EMobileCallReceiveUUI");
_LIT(KEMobileSmsMessagingReceiveMessage, "EMobileSmsMessagingReceiveMessage");
_LIT(KEMobileCallReceiveUUICancel, "EMobileCallReceiveUUICancel");
_LIT(KEMobileSmsMessagingReceiveMessageCancel, "EMobileSmsMessagingReceiveMessageCancel");
_LIT(KEMobileCallActivateUUS, "EMobileCallActivateUUS");
_LIT(KEMobilePhoneDeactivateCCBS, "EMobilePhoneDeactivateCCBS");
_LIT(KEMobilePhoneSelectNetwork, "EMobilePhoneSelectNetwork");
_LIT(KEMobilePhoneSendNetworkServiceRequest, "EMobilePhoneSendNetworkServiceRequest");
_LIT(KEMobilePhoneSetCallBarringPassword, "EMobilePhoneSetCallBarringPassword");
_LIT(KEMobilePhoneSetCallBarringStatus, "EMobilePhoneSetCallBarringStatus");
_LIT(KEMobilePhoneSetCallForwardingStatus, "EMobilePhoneSetCallForwardingStatus");
_LIT(KEMobilePhoneSetCallWaitingStatus, "EMobilePhoneSetCallWaitingStatus");
_LIT(KEMobilePhoneSetSSPassword, "EMobilePhoneSetSSPassword");
_LIT(KEMobilePhoneSetUUSSetting, "EMobilePhoneSetUUSSetting");
_LIT(KEMobilePhoneSetAPNControlListServiceStatus, "EMobilePhoneSetAPNControlListServiceStatus");
_LIT(KEMobileCallActivateUUSCancel, "EMobileCallActivateUUSCancel");
_LIT(KEMobilePhoneDeactivateCCBSCancel, "EMobilePhoneDeactivateCCBSCancel");
_LIT(KEMobilePhoneSelectNetworkCancel, "EMobilePhoneSelectNetworkCancel");
_LIT(KEMobilePhoneSendNetworkServiceRequestCancel, "EMobilePhoneSendNetworkServiceRequestCancel");
_LIT(KEMobilePhoneSetCallBarringPasswordCancel, "EMobilePhoneSetCallBarringPasswordCancel");
_LIT(KEMobilePhoneSetCallBarringStatusCancel, "EMobilePhoneSetCallBarringStatusCancel");
_LIT(KEMobilePhoneSetCallForwardingStatusCancel, "EMobilePhoneSetCallForwardingStatusCancel");
_LIT(KEMobilePhoneSetCallWaitingStatusCancel, "EMobilePhoneSetCallWaitingStatusCancel");
_LIT(KEMobilePhoneSetSSPasswordCancel, "EMobilePhoneSetSSPasswordCancel");
_LIT(KEMobilePhoneSetUUSSettingCancel, "EMobilePhoneSetUUSSettingCancel");
_LIT(KEMobilePhoneSetAPNControlListServiceStatusCancel, "EMobilePhoneSetAPNControlListServiceStatusCancel");
_LIT(KEMobileCallAnswerWithUUI, "EMobileCallAnswerWithUUI");
_LIT(KEMobileCallHangupWithUUI, "EMobileCallHangupWithUUI");
_LIT(KEMobileCallSendUUI, "EMobileCallSendUUI");
_LIT(KEMobileSmsMessagingSendMessage, "EMobileSmsMessagingSendMessage");
_LIT(KEMobileCallAnswerWithUUICancel, "EMobileCallAnswerWithUUICancel");
_LIT(KEMobileCallHangupWithUUICancel, "EMobileCallHangupWithUUICancel");
_LIT(KEMobileCallSendUUICancel, "EMobileCallSendUUICancel");
_LIT(KEMobileSmsMessagingSendMessageCancel, "EMobileSmsMessagingSendMessageCancel");
_LIT(KEMobileLocationServicesNotifyMtlr, "EMobileLocationServicesNotifyMtlr");
_LIT(KEMobileLocationServicesNotifyMeasurementControl, "EMobileLocationServicesNotifyMeasurementControl");
_LIT(KEMobileLocationServicesNotifyMtlrCancel, "EMobileLocationServicesNotifyMtlrCancel");
_LIT(KEMobileLocationServicesNotifyMeasurementControlCancel, "EMobileLocationServicesNotifyMeasurementControlCancel");
_LIT(KEMobileLocationServicesSendMolr, "EMobileLocationServicesSendMolr");
_LIT(KEMobileLocationServicesSendMolrCancel, "EMobileLocationServicesSendMolrCancel");
_LIT(KEMobileLocationServicesSendMtlrResponse, "EMobileLocationServicesSendMtlrResponse");
_LIT(KEMobileLocationServicesSendMtlrError, "EMobileLocationServicesSendMtlrError");
_LIT(KEMobileLocationServicesRejectMtlr, "EMobileLocationServicesRejectMtlr");
_LIT(KEMobileLocationServicesSendMeasurementReport, "EMobileLocationServicesSendMeasurementReport");
_LIT(KEMobileLocationServicesSendMeasurementControlFailure, "EMobileLocationServicesSendMeasurementControlFailure");
_LIT(KEMobileLocationServicesSendMtlrResponseCancel, "EMobileLocationServicesSendMtlrResponseCancel");
_LIT(KEMobileLocationServicesSendMtlrErrorCancel, "EMobileLocationServicesSendMtlrErrorCancel");
_LIT(KEMobileLocationServicesRejectMtlrCancel, "EMobileLocationServicesRejectMtlrCancel");
_LIT(KEMobileLocationServicesSendMeasurementReportCancel, "EMobileLocationServicesSendMeasurementReportCancel");
_LIT(KEMobileLocationServicesSendMeasurementControlFailureCancel, "EMobileLocationServicesSendMeasurementControlFailureCancel");
_LIT(KEMobileLocationServicesSetLcsDomain, "EMobileLocationServicesSetLcsDomain");
_LIT(KEMmTsyPhoneBookStoreReadIPC, "EMmTsyPhoneBookStoreReadIPC");
_LIT(KEMmTsyPhoneBookStoreReadCancelIPC, "EMmTsyPhoneBookStoreReadCancelIPC");
_LIT(KEMmTsyPhoneBookStoreWriteIPC, "EMmTsyPhoneBookStoreWriteIPC");
_LIT(KEMmTsyPhoneBookStoreWriteCancelIPC, "EMmTsyPhoneBookStoreWriteCancelIPC");
_LIT(KEMmTsyPhoneBookStoreGetInfoIPC, "EMmTsyPhoneBookStoreGetInfoIPC");
_LIT(KEMmTsyPhoneBookStoreGetInfoCancelIPC, "EMmTsyPhoneBookStoreGetInfoCancelIPC");
_LIT(KEMmTsyPhoneBookStoreDeleteIPC, "EMmTsyPhoneBookStoreDeleteIPC");
_LIT(KEMmTsyPhoneBookStoreDeleteCancelIPC, "EMmTsyPhoneBookStoreDeleteCancelIPC");
_LIT(KEMmTsyPhoneBookStoreDeleteAllIPC, "EMmTsyPhoneBookStoreDeleteAllIPC");
_LIT(KEMmTsyPhoneBookStoreDeleteAllCancelIPC, "EMmTsyPhoneBookStoreDeleteAllCancelIPC");
_LIT(KEMmTsyPhoneBookStoreNotifyStoreEventIPC, "EMmTsyPhoneBookStoreNotifyStoreEventIPC");
_LIT(KEMmTsyPhoneBookStoreNotifyStoreEventCancelIPC, "EMmTsyPhoneBookStoreNotifyStoreEventCancelIPC");
_LIT(KEMmTsyPhoneBookStoreReadAllPhase1IPC, "EMmTsyPhoneBookStoreReadAllPhase1IPC");
_LIT(KEMmTsyPhoneBookStoreReadAllPhase2IPC, "EMmTsyPhoneBookStoreReadAllPhase2IPC");
_LIT(KEMmTsyPhoneBookStoreReadAllCancelIPC, "EMmTsyPhoneBookStoreReadAllCancelIPC");
_LIT(KEMmTsyPhoneBookStoreCacheIPC, "EMmTsyPhoneBookStoreCacheIPC");
_LIT(KEMmTsyPhoneBookStoreInitIPC, "EMmTsyPhoneBookStoreInitIPC");
_LIT(KEMmTsyPhoneBookStoreResetCacheIPC, "EMmTsyPhoneBookStoreResetCacheIPC");
_LIT(KEMmTsyPhoneBookStoreFdnInfoIPC, "EMmTsyPhoneBookStoreFdnInfoIPC");
_LIT(KEMmTsyPhoneBookStoreMaxIpcLimit, "EMmTsyPhoneBookStoreMaxIpcLimit");
_LIT(KEMmTsyENStoreReadIPC, "EMmTsyENStoreReadIPC");
_LIT(KEMmTsyENStoreReadCancelIPC, "EMmTsyENStoreReadCancelIPC");
_LIT(KEMmTsyENStoreWriteIPC, "EMmTsyENStoreWriteIPC");
_LIT(KEMmTsyENStoreWriteCancelIPC, "EMmTsyENStoreWriteCancelIPC");
_LIT(KEMmTsyENStoreGetInfoIPC, "EMmTsyENStoreGetInfoIPC");
_LIT(KEMmTsyENStoreGetInfoCancelIPC, "EMmTsyENStoreGetInfoCancelIPC");
_LIT(KEMmTsyENStoreDeleteIPC, "EMmTsyENStoreDeleteIPC");
_LIT(KEMmTsyENStoreDeleteCancelIPC, "EMmTsyENStoreDeleteCancelIPC");
_LIT(KEMmTsyENStoreDeleteAllIPC, "EMmTsyENStoreDeleteAllIPC");
_LIT(KEMmTsyENStoreDeleteAllCancelIPC, "EMmTsyENStoreDeleteAllCancelIPC");
_LIT(KEMmTsyENStoreNotifyStoreEventIPC, "EMmTsyENStoreNotifyStoreEventIPC");
_LIT(KEMmTsyENStoreNotifyStoreEventCancelIPC, "EMmTsyENStoreNotifyStoreEventCancelIPC");
_LIT(KEMmTsyENStoreReadAllPhase1IPC, "EMmTsyENStoreReadAllPhase1IPC");
_LIT(KEMmTsyENStoreReadAllPhase2IPC, "EMmTsyENStoreReadAllPhase2IPC");
_LIT(KEMmTsyENStoreReadAllCancelIPC, "EMmTsyENStoreReadAllCancelIPC");
_LIT(KEMmTsyENStoreMaxIpcLimit, "EMmTsyENStoreMaxIpcLimit");
_LIT(KEMmTsyONStoreReadIPC, "EMmTsyONStoreReadIPC");
_LIT(KEMmTsyONStoreReadCancelIPC, "EMmTsyONStoreReadCancelIPC");
_LIT(KEMmTsyONStoreWriteIPC, "EMmTsyONStoreWriteIPC");
_LIT(KEMmTsyONStoreWriteCancelIPC, "EMmTsyONStoreWriteCancelIPC");
_LIT(KEMmTsyONStoreGetInfoIPC, "EMmTsyONStoreGetInfoIPC");
_LIT(KEMmTsyONStoreGetInfoCancelIPC, "EMmTsyONStoreGetInfoCancelIPC");
_LIT(KEMmTsyONStoreDeleteIPC, "EMmTsyONStoreDeleteIPC");
_LIT(KEMmTsyONStoreDeleteCancelIPC, "EMmTsyONStoreDeleteCancelIPC");
_LIT(KEMmTsyONStoreDeleteAllIPC, "EMmTsyONStoreDeleteAllIPC");
_LIT(KEMmTsyONStoreDeleteAllCancelIPC, "EMmTsyONStoreDeleteAllCancelIPC");
_LIT(KEMmTsyONStoreNotifyStoreEventIPC, "EMmTsyONStoreNotifyStoreEventIPC");
_LIT(KEMmTsyONStoreNotifyStoreEventCancelIPC, "EMmTsyONStoreNotifyStoreEventCancelIPC");
_LIT(KEMmTsyONStoreReadAllPhase1IPC, "EMmTsyONStoreReadAllPhase1IPC");
_LIT(KEMmTsyONStoreReadAllPhase2IPC, "EMmTsyONStoreReadAllPhase2IPC");
_LIT(KEMmTsyONStoreReadAllCancelIPC, "EMmTsyONStoreReadAllCancelIPC");
_LIT(KEMmTsyONStoreStoreAllIPC, "EMmTsyONStoreStoreAllIPC");
_LIT(KEMmTsyONStoreStoreAllCancelIPC, "EMmTsyONStoreStoreAllCancelIPC");
_LIT(KEMmTsyONStoreCountEntriesIPC, "EMmTsyONStoreCountEntriesIPC");
_LIT(KEMmTsyONStoreMaxIpcLimit, "EMmTsyONStoreMaxIpcLimit");
_LIT(KEPacketInitProxiesIPC, "EPacketInitProxiesIPC");
_LIT(KEMmTsyGsmBroadcastNotifyMessageReceived, "EMmTsyGsmBroadcastNotifyMessageReceived");
_LIT(KEMmTsyWcdmaBroadcastNotifyMessageReceived, "EMmTsyWcdmaBroadcastNotifyMessageReceived");
_LIT(KEMmTsyBootNotifyModemStatusReadyIPC, "EMmTsyBootNotifyModemStatusReadyIPC");
_LIT(KEMmTsyBootNotifySimStatusReadyIPC, "EMmTsyBootNotifySimStatusReadyIPC");
_LIT(KEMmTsyBootNotifySecurityReadyIPC, "EMmTsyBootNotifySecurityReadyIPC");
_LIT(KEMmTsyBootGetRFStatusIPC, "EMmTsyBootGetRFStatusIPC");
_LIT(KEMmTsySmsSendSatMessage, "EMmTsySmsSendSatMessage");
_LIT(KEMmTsyActivateSmsRouting, "EMmTsyActivateSmsRouting");
_LIT(KEMmTsyDeactivateSmsRouting, "EMmTsyDeactivateSmsRouting");
_LIT(KEMmTsySimGetICCType, "EMmTsySimGetICCType");
_LIT(KEMmTsySimRefreshRegisterIPC, "EMmTsySimRefreshRegisterIPC");
_LIT(KEMmTsySimRefreshNowIPC, "EMmTsySimRefreshNowIPC");
_LIT(KEMmTsySimRefreshDoneIPC, "EMmTsySimRefreshDoneIPC");
_LIT(KECustomCheckSecurityCodeCancelIPC, "ECustomCheckSecurityCodeCancelIPC");
_LIT(KEMmTsySecurityGetSimActivePinStateIPC, "EMmTsySecurityGetSimActivePinStateIPC");
_LIT(KECustomSecurityDeliverCodeIPC, "ECustomSecurityDeliverCodeIPC");
_LIT(KEMmTsyPhoneGetPin1DisableSupportedIPC, "EMmTsyPhoneGetPin1DisableSupportedIPC");
_LIT(KEMmTsyNotifyEGprsInfoChangeIPC, "EMmTsyNotifyEGprsInfoChangeIPC");
_LIT(KEMmTsyGetCustomVendorExtPtrIPC, "EMmTsyGetCustomVendorExtPtrIPC");
_LIT(KEMmTsyONStoreReadEntryIPC, "EMmTsyONStoreReadEntryIPC");
_LIT(KEMmTsyONStoreReadSizeIPC, "EMmTsyONStoreReadSizeIPC");
_LIT(KEMmTsyONStoreWriteEntryIPC, "EMmTsyONStoreWriteEntryIPC");
_LIT(KEMmTsyONStoreWriteSizeIPC, "EMmTsyONStoreWriteSizeIPC");
_LIT(KEMmTsyGetCallForwardingNumberIPC, "EMmTsyGetCallForwardingNumberIPC");
_LIT(KEPacketNotifyTransferCapsIPC, "EPacketNotifyTransferCapsIPC");
_LIT(KEMmTsyPhoneBookStoreCacheCancelIPC, "EMmTsyPhoneBookStoreCacheCancelIPC");
_LIT(KECustomCheckAlsPpSupportIPC, "ECustomCheckAlsPpSupportIPC");
_LIT(KECtsyPhoneCellInfoReq, "ECtsyPhoneCellInfoReq");
_LIT(KECtsyPhoneCellInfoComp, "ECtsyPhoneCellInfoComp");
_LIT(KECtsyPhoneCellInfoIndReq, "ECtsyPhoneCellInfoIndReq");
_LIT(KECtsyPhoneCellInfoIndComp, "ECtsyPhoneCellInfoIndComp");
_LIT(KECtsyPhoneCellInfoInd, "ECtsyPhoneCellInfoInd");
_LIT(KECtsyPhoneCellInfoSync, "ECtsyPhoneCellInfoSync");
_LIT(KEMmTsyUpdateLifeTimeIPC, "EMmTsyUpdateLifeTimeIPC");
_LIT(KECtsyPacketMbmsInitialiseContextReq, "ECtsyPacketMbmsInitialiseContextReq");
_LIT(KECtsyPacketMbmsInitialiseContextComp, "ECtsyPacketMbmsInitialiseContextComp");
_LIT(KECtsyPacketMbmsContextNotifyConfigChanged, "ECtsyPacketMbmsContextNotifyConfigChanged");
_LIT(KECtsyPhoneTerminateAllCallsReq, "ECtsyPhoneTerminateAllCallsReq");
_LIT(KECtsyPhoneTerminateAllCallsComp, "ECtsyPhoneTerminateAllCallsComp");
_LIT(KECtsyPhoneTerminateActiveCallsReq, "ECtsyPhoneTerminateActiveCallsReq");
_LIT(KECtsyPhoneTerminateActiveCallsComp, "ECtsyPhoneTerminateActiveCallsComp");
_LIT(KECtsyPhoneSendNetworkServiceRequestReq, "ECtsyPhoneSendNetworkServiceRequestReq");
_LIT(KECtsyPhoneSendNetworkServiceRequestIndReq, "ECtsyPhoneSendNetworkServiceRequestIndReq");
_LIT(KECtsyPhoneSendNetworkServiceRequestInd, "ECtsyPhoneSendNetworkServiceRequestInd");

const TDesC& IpcName(TInt aIpc)
{
	switch (aIpc)
	{
	case EEtelOpenFromSession : return KEEtelOpenFromSession;
	case EEtelOpenFromSubSession : return KEEtelOpenFromSubSession;
	case EEtelOpenByNameFromSession : return KEEtelOpenByNameFromSession;
	case EEtelOpenByNameFromSubSession : return KEEtelOpenByNameFromSubSession;
	case EEtelClose : return KEEtelClose;
	case EEtelCancelSubSession : return KEEtelCancelSubSession;
	case EETelLineCapsChangeNotification : return KEETelLineCapsChangeNotification;
	case EETelLineCapsChangeNotificationCancel : return KEETelLineCapsChangeNotificationCancel;
	case EETelPhoneCapsChangeNotification : return KEETelPhoneCapsChangeNotification;
	case EETelPhoneCapsChangeNotificationCancel : return KEETelPhoneCapsChangeNotificationCancel;
	case EEtelCallCapsChangeNotification : return KEEtelCallCapsChangeNotification;
	case EEtelCallCapsChangeNotificationCancel : return KEEtelCallCapsChangeNotificationCancel;
	case EEtelCallGetBearerServiceInfo : return KEEtelCallGetBearerServiceInfo;
	case EEtelCallGetCallDuration : return KEEtelCallGetCallDuration;
	case EEtelCallGetCallParams : return KEEtelCallGetCallParams;
	case EEtelCallGetCaps : return KEEtelCallGetCaps;
	case EEtelCallGetFaxSettings : return KEEtelCallGetFaxSettings;
	case EEtelCallGetInfo : return KEEtelCallGetInfo;
	case EEtelCallGetOwnershipStatus : return KEEtelCallGetOwnershipStatus;
	case EEtelCallGetStatus : return KEEtelCallGetStatus;
	case EEtelCallNotifyDurationChange : return KEEtelCallNotifyDurationChange;
	case EEtelCallNotifyDurationChangeCancel : return KEEtelCallNotifyDurationChangeCancel;
	case EEtelCallNotifyHookChange : return KEEtelCallNotifyHookChange;
	case EEtelCallNotifyHookChangeCancel : return KEEtelCallNotifyHookChangeCancel;
	case EEtelCallNotifyStatusChange : return KEEtelCallNotifyStatusChange;
	case EEtelCallNotifyStatusChangeCancel : return KEEtelCallNotifyStatusChangeCancel;
	case EEtelCallReferenceCount : return KEEtelCallReferenceCount;
	case EEtelDbgCheckHeap : return KEEtelDbgCheckHeap;
	case EEtelDbgDoDumpDebugInfo : return KEEtelDbgDoDumpDebugInfo;
	case EEtelDbgFailNext : return KEEtelDbgFailNext;
	case EEtelDbgMarkEnd : return KEEtelDbgMarkEnd;
	case EEtelDbgMarkHeap : return KEEtelDbgMarkHeap;
	case EEtelDbgSetDebugPrintMask : return KEEtelDbgSetDebugPrintMask;
	case EEtelFaxWaitForEndOfPage : return KEEtelFaxWaitForEndOfPage;
	case EEtelLineEnumerateCall : return KEEtelLineEnumerateCall;
	case EEtelLineGetCallInfo : return KEEtelLineGetCallInfo;
	case EEtelLineGetCaps : return KEEtelLineGetCaps;
	case EEtelLineGetHookStatus : return KEEtelLineGetHookStatus;
	case EEtelLineGetInfo : return KEEtelLineGetInfo;
	case EEtelLineGetStatus : return KEEtelLineGetStatus;
	case EEtelLineNotifyCallAdded : return KEEtelLineNotifyCallAdded;
	case EEtelLineNotifyCallAddedCancel : return KEEtelLineNotifyCallAddedCancel;
	case EEtelLineNotifyHookChange : return KEEtelLineNotifyHookChange;
	case EEtelLineNotifyHookChangeCancel : return KEEtelLineNotifyHookChangeCancel;
	case EEtelLineNotifyStatusChange : return KEEtelLineNotifyStatusChange;
	case EEtelLineNotifyStatusChangeCancel : return KEEtelLineNotifyStatusChangeCancel;
	case EEtelPhoneEnumerateLines : return KEEtelPhoneEnumerateLines;
	case EEtelPhoneGetCaps : return KEEtelPhoneGetCaps;
	case EEtelPhoneGetInfo : return KEEtelPhoneGetInfo;
	case EEtelPhoneGetLineInfo : return KEEtelPhoneGetLineInfo;
	case EEtelPhoneGetStatus : return KEEtelPhoneGetStatus;
	case EEtelPhoneNotifyModemDetected : return KEEtelPhoneNotifyModemDetected;
	case EEtelPhoneNotifyModemDetectedCancel : return KEEtelPhoneNotifyModemDetectedCancel;
	case EEtelServerClosePhoneModule : return KEEtelServerClosePhoneModule;
	case EEtelServerEnumeratePhones : return KEEtelServerEnumeratePhones;
	case EEtelServerGetTsyName : return KEEtelServerGetTsyName;
	case EEtelServerGetTsyVersionNo : return KEEtelServerGetTsyVersionNo;
	case EEtelServerLoadPhoneModule : return KEEtelServerLoadPhoneModule;
	case EEtelServerOpen : return KEEtelServerOpen;
	case EEtelServerPhoneInfoByIndex : return KEEtelServerPhoneInfoByIndex;
	case EEtelServerQueryTsyFunctionality : return KEEtelServerQueryTsyFunctionality;
	case EEtelServerSetExtendedErrorGranularity : return KEEtelServerSetExtendedErrorGranularity;
	case EEtelAdoptFaxSharedHeaderFile : return KEEtelAdoptFaxSharedHeaderFile;
	case EEtelCallAcquireOwnership : return KEEtelCallAcquireOwnership;
	case EEtelCallAcquireOwnershipCancel : return KEEtelCallAcquireOwnershipCancel;
	case EEtelCallConnect : return KEEtelCallConnect;
	case EEtelCallConnectCancel : return KEEtelCallConnectCancel;
	case EEtelCallHangUp : return KEEtelCallHangUp;
	case EEtelCallHangUpCancel : return KEEtelCallHangUpCancel;
	case EEtelCallTransferOwnership : return KEEtelCallTransferOwnership;
	case EEtelFaxTerminateFaxSession : return KEEtelFaxTerminateFaxSession;
	case EEtelLineNotifyIncomingCall : return KEEtelLineNotifyIncomingCall;
	case EEtelLineNotifyIncomingCallCancel : return KEEtelLineNotifyIncomingCallCancel;
	case EEtelCallSetFaxSettings : return KEEtelCallSetFaxSettings;
	case EEtelGlobalKernelObjectHandle : return KEEtelGlobalKernelObjectHandle;
	case EEtelPhoneInitialise : return KEEtelPhoneInitialise;
	case EEtelPhoneInitialiseCancel : return KEEtelPhoneInitialiseCancel;
	case EEtelServerSetPriorityClient : return KEEtelServerSetPriorityClient;
	case EEtelCallAnswer : return KEEtelCallAnswer;
	case EEtelCallAnswerCancel : return KEEtelCallAnswerCancel;
	case EEtelCallDial : return KEEtelCallDial;
	case EEtelCallDialCancel : return KEEtelCallDialCancel;
	case EEtelCallLoanDataPort : return KEEtelCallLoanDataPort;
	case EEtelCallLoanDataPortCancel : return KEEtelCallLoanDataPortCancel;
	case EEtelCallRecoverDataPort : return KEEtelCallRecoverDataPort;
	case EEtelFaxRead : return KEEtelFaxRead;
	case EEtelFaxWrite : return KEEtelFaxWrite;
	case EEtelDbgFailNextAvail : return KEEtelDbgFailNextAvail;
	case EMobileBroadcastMessagingGetCaps : return KEMobileBroadcastMessagingGetCaps;
	case EMobileBroadcastMessagingNotifyIdListChange : return KEMobileBroadcastMessagingNotifyIdListChange;
	case EMobileBroadcastMessagingReceiveMessage : return KEMobileBroadcastMessagingReceiveMessage;
	case EMobileCallGetCurrentHscsdInfo : return KEMobileCallGetCurrentHscsdInfo;
	case EMobileCallGetMobileCallCaps : return KEMobileCallGetMobileCallCaps;
	case EMobileCallGetMobileCallStatus : return KEMobileCallGetMobileCallStatus;
	case EMobileCallGetMobileDataCallCaps : return KEMobileCallGetMobileDataCallCaps;
	case EMobileCallGetUUSCaps : return KEMobileCallGetUUSCaps;
	case EMobileCallNotifyAlternatingCallSwitch : return KEMobileCallNotifyAlternatingCallSwitch;
	case EMobileCallNotifyAudioToneEvent : return KEMobileCallNotifyAudioToneEvent;
	case EMobileCallNotifyCallEvent : return KEMobileCallNotifyCallEvent;
	case EMobileCallNotifyHscsdInfoChange : return KEMobileCallNotifyHscsdInfoChange;
	case EMobileCallNotifyMobileCallCapsChange : return KEMobileCallNotifyMobileCallCapsChange;
	case EMobileCallNotifyMobileCallStatusChange : return KEMobileCallNotifyMobileCallStatusChange;
	case EMobileCallNotifyMobileDataCallCapsChange : return KEMobileCallNotifyMobileDataCallCapsChange;
	case EMobileCallNotifyUUSCapsChange : return KEMobileCallNotifyUUSCapsChange;
	case EMobileCallNotifyVoiceFallback : return KEMobileCallNotifyVoiceFallback;
	case EMobileConferenceCallEnumerateCalls : return KEMobileConferenceCallEnumerateCalls;
	case EMobileConferenceCallGetCaps : return KEMobileConferenceCallGetCaps;
	case EMobileConferenceCallGetConferenceStatus : return KEMobileConferenceCallGetConferenceStatus;
	case EMobileConferenceCallNotifyCapsChange : return KEMobileConferenceCallNotifyCapsChange;
	case EMobileConferenceCallNotifyConferenceEvent : return KEMobileConferenceCallNotifyConferenceEvent;
	case EMobileConferenceCallNotifyConferenceStatusChange : return KEMobileConferenceCallNotifyConferenceStatusChange;
	case EMobileLineGetMobileLineStatus : return KEMobileLineGetMobileLineStatus;
	case EMobileLineNotifyMobileLineStatusChange : return KEMobileLineNotifyMobileLineStatusChange;
	case EMobilePhoneEnumerateUSimApplications : return KEMobilePhoneEnumerateUSimApplications;
	case EMobilePhoneGetALSLine : return KEMobilePhoneGetALSLine;
	case EMobilePhoneGetAlternatingCallCaps : return KEMobilePhoneGetAlternatingCallCaps;
	case EMobilePhoneGetAlternatingCallMode : return KEMobilePhoneGetAlternatingCallMode;
	case EMobilePhoneGetBatteryCaps : return KEMobilePhoneGetBatteryCaps;
	case EMobilePhoneGetBatteryInfo : return KEMobilePhoneGetBatteryInfo;
	case EMobilePhoneGetCCBSStatus : return KEMobilePhoneGetCCBSStatus;
	case EMobilePhoneGetCallForwardingIndicator : return KEMobilePhoneGetCallForwardingIndicator;
	case EMobilePhoneGetCallServiceCaps : return KEMobilePhoneGetCallServiceCaps;
	case EMobilePhoneGetCipheringIndicatorStatus : return KEMobilePhoneGetCipheringIndicatorStatus;
	case EMobilePhoneGetCompMethodName : return KEMobilePhoneGetCompMethodName;
	case EMobilePhoneGetCostCaps : return KEMobilePhoneGetCostCaps;
	case EMobilePhoneGetCurrentMode : return KEMobilePhoneGetCurrentMode;
	case EMobilePhoneGetCustomerServiceProfile : return KEMobilePhoneGetCustomerServiceProfile;
	case EMobilePhoneGetDTMFCaps : return KEMobilePhoneGetDTMFCaps;
	case EMobilePhoneGetFdnStatus : return KEMobilePhoneGetFdnStatus;
	case EMobilePhoneGetHomeNetworkSearchPeriod : return KEMobilePhoneGetHomeNetworkSearchPeriod;
	case EMobilePhoneGetIccAccessCaps : return KEMobilePhoneGetIccAccessCaps;
	case EMobilePhoneGetIdentityCaps : return KEMobilePhoneGetIdentityCaps;
	case EMobilePhoneGetIdentityServiceStatus : return KEMobilePhoneGetIdentityServiceStatus;
	case EMobilePhoneGetIncomingCallType : return KEMobilePhoneGetIncomingCallType;
	case EMobilePhoneGetIndicator : return KEMobilePhoneGetIndicator;
	case EMobilePhoneGetIndicatorCaps : return KEMobilePhoneGetIndicatorCaps;
	case EMobilePhoneGetLastUsedAccessTechnology : return KEMobilePhoneGetLastUsedAccessTechnology;
	case EMobilePhoneGetMulticallParams : return KEMobilePhoneGetMulticallParams;
	case EMobilePhoneGetMultimediaCallPreference : return KEMobilePhoneGetMultimediaCallPreference;
	case EMobilePhoneGetMultimodeCaps : return KEMobilePhoneGetMultimodeCaps;
	case EMobilePhoneGetNetworkCaps : return KEMobilePhoneGetNetworkCaps;
	case EMobilePhoneGetNetworkInvScanSetting : return KEMobilePhoneGetNetworkInvScanSetting;
	case EMobilePhoneGetNetworkRegistrationStatus : return KEMobilePhoneGetNetworkRegistrationStatus;
	case EMobilePhoneGetNetworkSecurityLevel : return KEMobilePhoneGetNetworkSecurityLevel;
	case EMobilePhoneGetPersonalisationCaps : return KEMobilePhoneGetPersonalisationCaps;
	case EMobilePhoneGetSecurityCaps : return KEMobilePhoneGetSecurityCaps;
	case EMobilePhoneGetServiceTable : return KEMobilePhoneGetServiceTable;
	case EMobilePhoneGetSignalCaps : return KEMobilePhoneGetSignalCaps;
	case EMobilePhoneGetSignalStrength : return KEMobilePhoneGetSignalStrength;
	case EMobilePhoneGetUSimApplicationsInfo : return KEMobilePhoneGetUSimApplicationsInfo;
	case EMobilePhoneGetUSimAppsSelectionMode : return KEMobilePhoneGetUSimAppsSelectionMode;
	case EMobilePhoneGetUUSSetting : return KEMobilePhoneGetUUSSetting;
	case EMobilePhoneNotifyALSLineChange : return KEMobilePhoneNotifyALSLineChange;
	case EMobilePhoneNotifyAlternatingCallCapsChange : return KEMobilePhoneNotifyAlternatingCallCapsChange;
	case EMobilePhoneNotifyAlternatingCallModeChange : return KEMobilePhoneNotifyAlternatingCallModeChange;
	case EMobilePhoneNotifyBatteryInfoChange : return KEMobilePhoneNotifyBatteryInfoChange;
	case EMobilePhoneNotifyCCBSRecall : return KEMobilePhoneNotifyCCBSRecall;
	case EMobilePhoneNotifyCCBSStatusChange : return KEMobilePhoneNotifyCCBSStatusChange;
	case EMobilePhoneNotifyCallBarringStatusChange : return KEMobilePhoneNotifyCallBarringStatusChange;
	case EMobilePhoneNotifyCallForwardingActive : return KEMobilePhoneNotifyCallForwardingActive;
	case EMobilePhoneNotifyCallForwardingStatusChange : return KEMobilePhoneNotifyCallForwardingStatusChange;
	case EMobilePhoneNotifyCallServiceCapsChange : return KEMobilePhoneNotifyCallServiceCapsChange;
	case EMobilePhoneNotifyCallWaitingStatusChange : return KEMobilePhoneNotifyCallWaitingStatusChange;
	case EMobilePhoneNotifyCipheringIndicatorStatus : return KEMobilePhoneNotifyCipheringIndicatorStatus;
	case EMobilePhoneNotifyCostCapsChange : return KEMobilePhoneNotifyCostCapsChange;
	case EMobilePhoneNotifyDTMFCapsChange : return KEMobilePhoneNotifyDTMFCapsChange;
	case EMobilePhoneNotifyDTMFEvent : return KEMobilePhoneNotifyDTMFEvent;
	case EMobilePhoneNotifyFdnStatusChange : return KEMobilePhoneNotifyFdnStatusChange;
	case EMobilePhoneNotifyIccAccessCapsChange : return KEMobilePhoneNotifyIccAccessCapsChange;
	case EMobilePhoneNotifyIdentityServiceStatus : return KEMobilePhoneNotifyIdentityServiceStatus;
	case EMobilePhoneNotifyIdentitySuppressionRejected : return KEMobilePhoneNotifyIdentitySuppressionRejected;
	case EMobilePhoneNotifyIncomingCallTypeChange : return KEMobilePhoneNotifyIncomingCallTypeChange;
	case EMobilePhoneNotifyIndicatorChange : return KEMobilePhoneNotifyIndicatorChange;
	case EMobilePhoneNotifyMessageWaiting : return KEMobilePhoneNotifyMessageWaiting;
	case EMobilePhoneNotifyModeChange : return KEMobilePhoneNotifyModeChange;
	case EMobilePhoneNotifyMulticallIndicatorChange : return KEMobilePhoneNotifyMulticallIndicatorChange;
	case EMobilePhoneNotifyMulticallParamsChange : return KEMobilePhoneNotifyMulticallParamsChange;
	case EMobilePhoneNotifyMultimediaCallPreferenceChange : return KEMobilePhoneNotifyMultimediaCallPreferenceChange;
	case EMobilePhoneNotifyNetworkInvScanChange : return KEMobilePhoneNotifyNetworkInvScanChange;
	case EMobilePhoneNotifyNetworkInvScanEvent : return KEMobilePhoneNotifyNetworkInvScanEvent;
	case EMobilePhoneNotifyNetworkRegistrationStatusChange : return KEMobilePhoneNotifyNetworkRegistrationStatusChange;
	case EMobilePhoneNotifyNetworkSecurityLevelChange : return KEMobilePhoneNotifyNetworkSecurityLevelChange;
	case EMobilePhoneNotifySecurityCapsChange : return KEMobilePhoneNotifySecurityCapsChange;
	case EMobilePhoneNotifySecurityEvent : return KEMobilePhoneNotifySecurityEvent;
	case EMobilePhoneNotifySendNetworkServiceRequest : return KEMobilePhoneNotifySendNetworkServiceRequest;
	case EMobilePhoneNotifySignalStrengthChange : return KEMobilePhoneNotifySignalStrengthChange;
	case EMobilePhoneNotifyStorePreferredNetworksListChange : return KEMobilePhoneNotifyStorePreferredNetworksListChange;
	case EMobilePhoneNotifyUSimApplicationsInfoChange : return KEMobilePhoneNotifyUSimApplicationsInfoChange;
	case EMobilePhoneNotifyUSimAppsSelectionModeChange : return KEMobilePhoneNotifyUSimAppsSelectionModeChange;
	case EMobilePhoneNotifyUUSSettingChange : return KEMobilePhoneNotifyUUSSettingChange;
	case EMobileSmsMessagingEnumerateMessageStores : return KEMobileSmsMessagingEnumerateMessageStores;
	case EMobileSmsMessagingGetCaps : return KEMobileSmsMessagingGetCaps;
	case EMobileSmsMessagingGetMessageStoreInfo : return KEMobileSmsMessagingGetMessageStoreInfo;
	case EMobileSmsMessagingGetMoSmsBearer : return KEMobileSmsMessagingGetMoSmsBearer;
	case EMobileSmsMessagingGetReceiveMode : return KEMobileSmsMessagingGetReceiveMode;
	case EMobileSmsMessagingNotifyMoSmsBearerChange : return KEMobileSmsMessagingNotifyMoSmsBearerChange;
	case EMobileSmsMessagingNotifyReceiveModeChange : return KEMobileSmsMessagingNotifyReceiveModeChange;
	case EMobileSmsMessagingNotifySmspListChange : return KEMobileSmsMessagingNotifySmspListChange;
	case EMobileUssdMessagingGetCaps : return KEMobileUssdMessagingGetCaps;
	case EMobileUssdMessagingNotifyNetworkRelease : return KEMobileUssdMessagingNotifyNetworkRelease;
	case EMobilePhoneNotifyImsAuthorizationInfoChanged : return KEMobilePhoneNotifyImsAuthorizationInfoChanged;
	case EMobilePhoneEnumerateSmartCardApplications : return KEMobilePhoneEnumerateSmartCardApplications;
	case EMobilePhoneGetSmartCardApplicationInfo : return KEMobilePhoneGetSmartCardApplicationInfo;
	case EMobilePhoneNotifySmartCardApplicationInfoChange : return KEMobilePhoneNotifySmartCardApplicationInfoChange;
	case EMobilePhoneGetCurrentActiveUSimApplication : return KEMobilePhoneGetCurrentActiveUSimApplication;
	case EMobileBroadcastMessagingNotifyIdListChangeCancel : return KEMobileBroadcastMessagingNotifyIdListChangeCancel;
	case EMobileBroadcastMessagingReceiveMessageCancel : return KEMobileBroadcastMessagingReceiveMessageCancel;
	case EMobileCallNotifyAlternatingCallSwitchCancel : return KEMobileCallNotifyAlternatingCallSwitchCancel;
	case EMobileCallNotifyAudioToneEventCancel : return KEMobileCallNotifyAudioToneEventCancel;
	case EMobileCallNotifyCallEventCancel : return KEMobileCallNotifyCallEventCancel;
	case EMobileCallNotifyHscsdInfoChangeCancel : return KEMobileCallNotifyHscsdInfoChangeCancel;
	case EMobileCallNotifyMobileCallCapsChangeCancel : return KEMobileCallNotifyMobileCallCapsChangeCancel;
	case EMobileCallNotifyMobileCallStatusChangeCancel : return KEMobileCallNotifyMobileCallStatusChangeCancel;
	case EMobileCallNotifyMobileDataCallCapsChangeCancel : return KEMobileCallNotifyMobileDataCallCapsChangeCancel;
	case EMobileCallNotifyUUSCapsChangeCancel : return KEMobileCallNotifyUUSCapsChangeCancel;
	case EMobileCallNotifyVoiceFallbackCancel : return KEMobileCallNotifyVoiceFallbackCancel;
	case EMobileConferenceCallNotifyCapsChangeCancel : return KEMobileConferenceCallNotifyCapsChangeCancel;
	case EMobileConferenceCallNotifyConferenceEventCancel : return KEMobileConferenceCallNotifyConferenceEventCancel;
	case EMobileConferenceCallNotifyConferenceStatusChangeCancel : return KEMobileConferenceCallNotifyConferenceStatusChangeCancel;
	case EMobileLineNotifyMobileLineStatusChangeCancel : return KEMobileLineNotifyMobileLineStatusChangeCancel;
	case EMobilePhoneEnumerateUSimApplicationsCancel : return KEMobilePhoneEnumerateUSimApplicationsCancel;
	case EMobilePhoneGetBatteryInfoCancel : return KEMobilePhoneGetBatteryInfoCancel;
	case EMobilePhoneGetCCBSStatusCancel : return KEMobilePhoneGetCCBSStatusCancel;
	case EMobilePhoneGetCallForwardingIndicatorCancel : return KEMobilePhoneGetCallForwardingIndicatorCancel;
	case EMobilePhoneGetCipheringIndicatorStatusCancel : return KEMobilePhoneGetCipheringIndicatorStatusCancel;
	case EMobilePhoneGetCompMethodNameCancel : return KEMobilePhoneGetCompMethodNameCancel;
	case EMobilePhoneGetCustomerServiceProfileCancel : return KEMobilePhoneGetCustomerServiceProfileCancel;
	case EMobilePhoneGetFdnStatusCancel : return KEMobilePhoneGetFdnStatusCancel;
	case EMobilePhoneGetHomeNetworkSearchPeriodCancel : return KEMobilePhoneGetHomeNetworkSearchPeriodCancel;
	case EMobilePhoneGetIdentityServiceStatusCancel : return KEMobilePhoneGetIdentityServiceStatusCancel;
	case EMobilePhoneGetIncomingCallTypeCancel : return KEMobilePhoneGetIncomingCallTypeCancel;
	case EMobilePhoneGetIndicatorCancel : return KEMobilePhoneGetIndicatorCancel;
	case EMobilePhoneGetLastUsedAccessTechnologyCancel : return KEMobilePhoneGetLastUsedAccessTechnologyCancel;
	case EMobilePhoneGetMulticallParamsCancel : return KEMobilePhoneGetMulticallParamsCancel;
	case EMobilePhoneGetMultimediaCallPreferenceCancel : return KEMobilePhoneGetMultimediaCallPreferenceCancel;
	case EMobilePhoneGetNetworkRegistrationStatusCancel : return KEMobilePhoneGetNetworkRegistrationStatusCancel;
	case EMobilePhoneGetNetworkSecurityLevelCancel : return KEMobilePhoneGetNetworkSecurityLevelCancel;
	case EMobilePhoneGetPersonalisationCapsCancel : return KEMobilePhoneGetPersonalisationCapsCancel;
	case EMobilePhoneGetServiceTableCancel : return KEMobilePhoneGetServiceTableCancel;
	case EMobilePhoneGetSignalStrengthCancel : return KEMobilePhoneGetSignalStrengthCancel;
	case EMobilePhoneGetUSimApplicationsInfoCancel : return KEMobilePhoneGetUSimApplicationsInfoCancel;
	case EMobilePhoneGetUSimAppsSelectionModeCancel : return KEMobilePhoneGetUSimAppsSelectionModeCancel;
	case EMobilePhoneGetUUSSettingCancel : return KEMobilePhoneGetUUSSettingCancel;
	case EMobilePhoneNotifyALSLineChangeCancel : return KEMobilePhoneNotifyALSLineChangeCancel;
	case EMobilePhoneNotifyAlternatingCallCapsChangeCancel : return KEMobilePhoneNotifyAlternatingCallCapsChangeCancel;
	case EMobilePhoneNotifyAlternatingCallModeChangeCancel : return KEMobilePhoneNotifyAlternatingCallModeChangeCancel;
	case EMobilePhoneNotifyBatteryInfoChangeCancel : return KEMobilePhoneNotifyBatteryInfoChangeCancel;
	case EMobilePhoneNotifyCCBSRecallCancel : return KEMobilePhoneNotifyCCBSRecallCancel;
	case EMobilePhoneNotifyCCBSStatusChangeCancel : return KEMobilePhoneNotifyCCBSStatusChangeCancel;
	case EMobilePhoneNotifyCallBarringStatusChangeCancel : return KEMobilePhoneNotifyCallBarringStatusChangeCancel;
	case EMobilePhoneNotifyCallForwardingActiveCancel : return KEMobilePhoneNotifyCallForwardingActiveCancel;
	case EMobilePhoneNotifyCallForwardingStatusChangeCancel : return KEMobilePhoneNotifyCallForwardingStatusChangeCancel;
	case EMobilePhoneNotifyCallServiceCapsChangeCancel : return KEMobilePhoneNotifyCallServiceCapsChangeCancel;
	case EMobilePhoneNotifyCallWaitingStatusChangeCancel : return KEMobilePhoneNotifyCallWaitingStatusChangeCancel;
	case EMobilePhoneNotifyCipheringIndicatorStatusCancel : return KEMobilePhoneNotifyCipheringIndicatorStatusCancel;
	case EMobilePhoneNotifyCostCapsChangeCancel : return KEMobilePhoneNotifyCostCapsChangeCancel;
	case EMobilePhoneNotifyDTMFCapsChangeCancel : return KEMobilePhoneNotifyDTMFCapsChangeCancel;
	case EMobilePhoneNotifyDTMFEventCancel : return KEMobilePhoneNotifyDTMFEventCancel;
	case EMobilePhoneNotifyFdnStatusChangeCancel : return KEMobilePhoneNotifyFdnStatusChangeCancel;
	case EMobilePhoneNotifyIccAccessCapsChangeCancel : return KEMobilePhoneNotifyIccAccessCapsChangeCancel;
	case EMobilePhoneNotifyIdentityServiceStatusCancel : return KEMobilePhoneNotifyIdentityServiceStatusCancel;
	case EMobilePhoneNotifyIdentitySuppressionRejectedCancel : return KEMobilePhoneNotifyIdentitySuppressionRejectedCancel;
	case EMobilePhoneNotifyIncomingCallTypeChangeCancel : return KEMobilePhoneNotifyIncomingCallTypeChangeCancel;
	case EMobilePhoneNotifyIndicatorChangeCancel : return KEMobilePhoneNotifyIndicatorChangeCancel;
	case EMobilePhoneNotifyMessageWaitingCancel : return KEMobilePhoneNotifyMessageWaitingCancel;
	case EMobilePhoneNotifyModeChangeCancel : return KEMobilePhoneNotifyModeChangeCancel;
	case EMobilePhoneNotifyMulticallIndicatorChangeCancel : return KEMobilePhoneNotifyMulticallIndicatorChangeCancel;
	case EMobilePhoneNotifyMulticallParamsChangeCancel : return KEMobilePhoneNotifyMulticallParamsChangeCancel;
	case EMobilePhoneNotifyMultimediaCallPreferenceChangeCancel : return KEMobilePhoneNotifyMultimediaCallPreferenceChangeCancel;
	case EMobilePhoneNotifyNetworkInvScanChangeCancel : return KEMobilePhoneNotifyNetworkInvScanChangeCancel;
	case EMobilePhoneNotifyNetworkInvScanEventCancel : return KEMobilePhoneNotifyNetworkInvScanEventCancel;
	case EMobilePhoneNotifyNetworkRegistrationStatusChangeCancel : return KEMobilePhoneNotifyNetworkRegistrationStatusChangeCancel;
	case EMobilePhoneNotifyNetworkSecurityLevelChangeCancel : return KEMobilePhoneNotifyNetworkSecurityLevelChangeCancel;
	case EMobilePhoneNotifySecurityCapsChangeCancel : return KEMobilePhoneNotifySecurityCapsChangeCancel;
	case EMobilePhoneNotifySecurityEventCancel : return KEMobilePhoneNotifySecurityEventCancel;
	case EMobilePhoneNotifySendNetworkServiceRequestCancel : return KEMobilePhoneNotifySendNetworkServiceRequestCancel;
	case EMobilePhoneNotifySignalStrengthChangeCancel : return KEMobilePhoneNotifySignalStrengthChangeCancel;
	case EMobilePhoneNotifyStorePreferredNetworksListChangeCancel : return KEMobilePhoneNotifyStorePreferredNetworksListChangeCancel;
	case EMobilePhoneNotifyUSimApplicationsInfoChangeCancel : return KEMobilePhoneNotifyUSimApplicationsInfoChangeCancel;
	case EMobilePhoneNotifyUSimAppsSelectionModeChangeCancel : return KEMobilePhoneNotifyUSimAppsSelectionModeChangeCancel;
	case EMobilePhoneNotifyUUSSettingChangeCancel : return KEMobilePhoneNotifyUUSSettingChangeCancel;
	case EMobileSmsMessagingGetMessageStoreInfoCancel : return KEMobileSmsMessagingGetMessageStoreInfoCancel;
	case EMobileSmsMessagingNotifyMoSmsBearerChangeCancel : return KEMobileSmsMessagingNotifyMoSmsBearerChangeCancel;
	case EMobileSmsMessagingNotifyReceiveModeChangeCancel : return KEMobileSmsMessagingNotifyReceiveModeChangeCancel;
	case EMobileSmsMessagingNotifySmspListChangeCancel : return KEMobileSmsMessagingNotifySmspListChangeCancel;
	case EMobileUssdMessagingNotifyNetworkReleaseCancel : return KEMobileUssdMessagingNotifyNetworkReleaseCancel;
	case EMobilePhoneNotifyImsAuthorizationInfoChangedCancel : return KEMobilePhoneNotifyImsAuthorizationInfoChangedCancel;
	case EMobilePhoneEnumerateSmartCardApplicationsCancel : return KEMobilePhoneEnumerateSmartCardApplicationsCancel;
	case EMobilePhoneGetSmartCardApplicationInfoCancel : return KEMobilePhoneGetSmartCardApplicationInfoCancel;
	case EMobilePhoneNotifySmartCardApplicationInfoChangeCancel : return KEMobilePhoneNotifySmartCardApplicationInfoChangeCancel;
	case EMobilePhoneGetCurrentActiveUSimApplicationCancel : return KEMobilePhoneGetCurrentActiveUSimApplicationCancel;
	case EMobileCallActivateCCBS : return KEMobileCallActivateCCBS;
	case EMobileCallAnswerISV : return KEMobileCallAnswerISV;
	case EMobileCallAnswerMultimediaCallAsVoice : return KEMobileCallAnswerMultimediaCallAsVoice;
	case EMobileCallDeflect : return KEMobileCallDeflect;
	case EMobileCallDialISV : return KEMobileCallDialISV;
	case EMobileCallGoOneToOne : return KEMobileCallGoOneToOne;
	case EMobileCallHold : return KEMobileCallHold;
	case EMobileCallNotifyPrivacyConfirmation : return KEMobileCallNotifyPrivacyConfirmation;
	case EMobileCallNotifyTrafficChannelConfirmation : return KEMobileCallNotifyTrafficChannelConfirmation;
	case EMobileCallRejectCCBS : return KEMobileCallRejectCCBS;
	case EMobileCallResume : return KEMobileCallResume;
	case EMobileCallSetDynamicHscsdParams : return KEMobileCallSetDynamicHscsdParams;
	case EMobileCallSetPrivacy : return KEMobileCallSetPrivacy;
	case EMobileCallSetTrafficChannel : return KEMobileCallSetTrafficChannel;
	case EMobileCallSwap : return KEMobileCallSwap;
	case EMobileCallSwitchAlternatingCall : return KEMobileCallSwitchAlternatingCall;
	case EMobileCallTransfer : return KEMobileCallTransfer;
	case EMobileConferenceCallAddCall : return KEMobileConferenceCallAddCall;
	case EMobileConferenceCallCreateConference : return KEMobileConferenceCallCreateConference;
	case EMobileConferenceCallHangUp : return KEMobileConferenceCallHangUp;
	case EMobileConferenceCallSwap : return KEMobileConferenceCallSwap;
	case EMobilePhoneAcceptCCBSRecall : return KEMobilePhoneAcceptCCBSRecall;
	case EMobilePhoneContinueDTMFStringSending : return KEMobilePhoneContinueDTMFStringSending;
	case EMobilePhoneNotifyStopInDTMFString : return KEMobilePhoneNotifyStopInDTMFString;
	case EMobilePhoneReadDTMFTones : return KEMobilePhoneReadDTMFTones;
	case EMobilePhoneRefuseCCBSRecall : return KEMobilePhoneRefuseCCBSRecall;
	case EMobilePhoneSendDTMFTones : return KEMobilePhoneSendDTMFTones;
	case EMobilePhoneStartDTMFTone : return KEMobilePhoneStartDTMFTone;
	case EMobilePhoneStopDTMFTone : return KEMobilePhoneStopDTMFTone;
	case EMobilePhoneTerminateAllCalls : return KEMobilePhoneTerminateAllCalls;
    case EMobilePhoneTerminateActiveCalls : return KEMobilePhoneTerminateActiveCalls;
	case EMobileCallActivateCCBSCancel : return KEMobileCallActivateCCBSCancel;
	case EMobileCallAnswerISVCancel : return KEMobileCallAnswerISVCancel;
	case EMobileCallAnswerMultimediaCallAsVoiceCancel : return KEMobileCallAnswerMultimediaCallAsVoiceCancel;
	case EMobileCallDeflectCancel : return KEMobileCallDeflectCancel;
	case EMobileCallDialISVCancel : return KEMobileCallDialISVCancel;
	case EMobileCallGoOneToOneCancel : return KEMobileCallGoOneToOneCancel;
	case EMobileCallHoldCancel : return KEMobileCallHoldCancel;
	case EMobileCallNotifyPrivacyConfirmationCancel : return KEMobileCallNotifyPrivacyConfirmationCancel;
	case EMobileCallNotifyTrafficChannelConfirmationCancel : return KEMobileCallNotifyTrafficChannelConfirmationCancel;
	case EMobileCallResumeCancel : return KEMobileCallResumeCancel;
	case EMobileCallSetDynamicHscsdParamsCancel : return KEMobileCallSetDynamicHscsdParamsCancel;
	case EMobileCallSwapCancel : return KEMobileCallSwapCancel;
	case EMobileCallSwitchAlternatingCallCancel : return KEMobileCallSwitchAlternatingCallCancel;
	case EMobileCallTransferCancel : return KEMobileCallTransferCancel;
	case EMobileConferenceCallAddCallCancel : return KEMobileConferenceCallAddCallCancel;
	case EMobileConferenceCallCreateConferenceCancel : return KEMobileConferenceCallCreateConferenceCancel;
	case EMobileConferenceCallHangUpCancel : return KEMobileConferenceCallHangUpCancel;
	case EMobileConferenceCallSwapCancel : return KEMobileConferenceCallSwapCancel;
	case EMobilePhoneAcceptCCBSRecallCancel : return KEMobilePhoneAcceptCCBSRecallCancel;
	case EMobilePhoneNotifyStopInDTMFStringCancel : return KEMobilePhoneNotifyStopInDTMFStringCancel;
	case EMobilePhoneReadDTMFTonesCancel : return KEMobilePhoneReadDTMFTonesCancel;
	case EMobilePhoneSendDTMFTonesCancel : return KEMobilePhoneSendDTMFTonesCancel;
	case EMobilePhoneTerminateAllCallsCancel : return KEMobilePhoneTerminateAllCallsCancel;
    case EMobilePhoneTerminateActiveCallsCancel : return KEMobilePhoneTerminateActiveCallsCancel;
	case EMobileConferenceCallGetMobileCallInfo : return KEMobileConferenceCallGetMobileCallInfo;
	case EMobilePhoneEnumerateAPNEntries : return KEMobilePhoneEnumerateAPNEntries;
	case EMobilePhoneGetAPNname : return KEMobilePhoneGetAPNname;
	case EMobilePhoneGetFeatureCode : return KEMobilePhoneGetFeatureCode;
	case EMobilePhoneGetHomeNetwork : return KEMobilePhoneGetHomeNetwork;
	case EMobilePhoneGetIccMessageWaitingIndicators : return KEMobilePhoneGetIccMessageWaitingIndicators;
	case EMobilePhoneGetLockInfo : return KEMobilePhoneGetLockInfo;
	case EMobilePhoneGetMmsConfig : return KEMobilePhoneGetMmsConfig;
	case EMobilePhoneGetNITZInfo : return KEMobilePhoneGetNITZInfo;
	case EMobilePhoneGetCellInfo : return KEMobilePhoneGetCellInfo;
	case EMobilePhoneGetNetworkName : return KEMobilePhoneGetNetworkName;
	case EMobilePhoneGetNetworkSelectionSetting : return KEMobilePhoneGetNetworkSelectionSetting;
	case EMobilePhoneGetPersonalisationStatus : return KEMobilePhoneGetPersonalisationStatus;
	case EMobilePhoneGetPhoneId : return KEMobilePhoneGetPhoneId;
	case EMobilePhoneGetPhoneStoreInfo : return KEMobilePhoneGetPhoneStoreInfo;
	case EMobilePhoneGetPreferredNetworksPhase1 : return KEMobilePhoneGetPreferredNetworksPhase1;
	case EMobilePhoneGetPreferredNetworksPhase2 : return KEMobilePhoneGetPreferredNetworksPhase2;
	case EMobilePhoneGetServiceProviderName : return KEMobilePhoneGetServiceProviderName;
	case EMobilePhoneGetSubscriberId : return KEMobilePhoneGetSubscriberId;
	case EMobilePhoneNotifyIccMessageWaitingIndicatorsChange : return KEMobilePhoneNotifyIccMessageWaitingIndicatorsChange;
	case EMobilePhoneNotifyLockInfoChange : return KEMobilePhoneNotifyLockInfoChange;
	case EMobilePhoneNotifyMmsConfig : return KEMobilePhoneNotifyMmsConfig;
	case EMobilePhoneNotifyMmsUpdate : return KEMobilePhoneNotifyMmsUpdate;
	case EMobilePhoneNotifyNITZInfoChange : return KEMobilePhoneNotifyNITZInfoChange;
	case EMobilePhoneNotifyCellInfoChange : return KEMobilePhoneNotifyCellInfoChange;
	case EMobilePhoneNotifyNetworkSelectionSettingChange : return KEMobilePhoneNotifyNetworkSelectionSettingChange;
	case EMobilePhoneStoreReadAllPhase1 : return KEMobilePhoneStoreReadAllPhase1;
	case EMobilePhoneStoreReadAllPhase2 : return KEMobilePhoneStoreReadAllPhase2;
	case EMobilePhoneStoreReadAllV4Phase1 : return KEMobilePhoneStoreReadAllV4Phase1;
	case EMobilePhoneStoreReadAllV4Phase2 : return KEMobilePhoneStoreReadAllV4Phase2;
	case EMobileSmsMessagingGetSmspListPhase1 : return KEMobileSmsMessagingGetSmspListPhase1;
	case EMobileSmsMessagingGetSmspListPhase2 : return KEMobileSmsMessagingGetSmspListPhase2;
	case EMobilePhoneAuthorizationInfoPhase1 : return KEMobilePhoneAuthorizationInfoPhase1;
	case EMobilePhoneAuthorizationInfoPhase2 : return KEMobilePhoneAuthorizationInfoPhase2;
	case EMobilePhoneIMSAuthenticate : return KEMobilePhoneIMSAuthenticate;
	case EMobilePhoneGetScFileInfo : return KEMobilePhoneGetScFileInfo;
	case EMobilePhoneReadScFile : return KEMobilePhoneReadScFile;
	case EMobilePhoneGetIccIdentity : return KEMobilePhoneGetIccIdentity;
	case EMobilePhoneGetSecurityCodeInfo : return KEMobilePhoneGetSecurityCodeInfo;
	case EMobilePhoneNotifySecurityCodeInfoChange : return KEMobilePhoneNotifySecurityCodeInfoChange;
	case EMobilePhoneSmartCardAuthenticate : return KEMobilePhoneSmartCardAuthenticate;
	case EMobileSmartCardEapGetAuthenticationStatus : return KEMobileSmartCardEapGetAuthenticationStatus;
	case EMobileSmartCardEapGetUserIdentity : return KEMobileSmartCardEapGetUserIdentity;
	case EMobileSmartCardEapGetEapKey : return KEMobileSmartCardEapGetEapKey;
	case EMobileSmartCardEapNotifyEapMethodAccessStatusChange : return KEMobileSmartCardEapNotifyEapMethodAccessStatusChange;
	case EMobileSmartCardEapAuthenticationPhase1 : return KEMobileSmartCardEapAuthenticationPhase1;
	case EMobileSmartCardEapAuthenticationPhase2 : return KEMobileSmartCardEapAuthenticationPhase2;
	case EMobileSmartCardEapReleaseEapMethod : return KEMobileSmartCardEapReleaseEapMethod;
	case EMobileSmartCardEapGetEapMethodAccessStatus : return KEMobileSmartCardEapGetEapMethodAccessStatus;
	case EMobilePhoneNotifyAPNListChanged : return KEMobilePhoneNotifyAPNListChanged;
	case EMobilePhoneGetAPNControlListServiceStatus : return KEMobilePhoneGetAPNControlListServiceStatus;
	case EMobilePhoneNotifyAPNControlListServiceStatusChange : return KEMobilePhoneNotifyAPNControlListServiceStatusChange;
	case EMobilePhoneEnumerateAPNEntriesCancel : return KEMobilePhoneEnumerateAPNEntriesCancel;
	case EMobilePhoneGetAPNnameCancel : return KEMobilePhoneGetAPNnameCancel;
	case EMobilePhoneGetFeatureCodeCancel : return KEMobilePhoneGetFeatureCodeCancel;
	case EMobilePhoneGetHomeNetworkCancel : return KEMobilePhoneGetHomeNetworkCancel;
	case EMobilePhoneGetIccMessageWaitingIndicatorsCancel : return KEMobilePhoneGetIccMessageWaitingIndicatorsCancel;
	case EMobilePhoneGetLockInfoCancel : return KEMobilePhoneGetLockInfoCancel;
	case EMobilePhoneGetMmsConfigCancel : return KEMobilePhoneGetMmsConfigCancel;
	case EMobilePhoneGetNetworkNameCancel : return KEMobilePhoneGetNetworkNameCancel;
	case EMobilePhoneGetPersonalisationStatusCancel : return KEMobilePhoneGetPersonalisationStatusCancel;
	case EMobilePhoneGetPhoneIdCancel : return KEMobilePhoneGetPhoneIdCancel;
	case EMobilePhoneGetPhoneStoreInfoCancel : return KEMobilePhoneGetPhoneStoreInfoCancel;
	case EMobilePhoneGetPreferredNetworksCancel : return KEMobilePhoneGetPreferredNetworksCancel;
	case EMobilePhoneGetServiceProviderNameCancel : return KEMobilePhoneGetServiceProviderNameCancel;
	case EMobilePhoneGetSubscriberIdCancel : return KEMobilePhoneGetSubscriberIdCancel;
	case EMobilePhoneNotifyIccMessageWaitingIndicatorsChangeCancel : return KEMobilePhoneNotifyIccMessageWaitingIndicatorsChangeCancel;
	case EMobilePhoneNotifyLockInfoChangeCancel : return KEMobilePhoneNotifyLockInfoChangeCancel;
	case EMobilePhoneNotifyMmsConfigCancel : return KEMobilePhoneNotifyMmsConfigCancel;
	case EMobilePhoneNotifyMmsUpdateCancel : return KEMobilePhoneNotifyMmsUpdateCancel;
	case EMobilePhoneNotifyNITZInfoChangeCancel : return KEMobilePhoneNotifyNITZInfoChangeCancel;
	case EMobilePhoneNotifyCellInfoChangeCancel : return KEMobilePhoneNotifyCellInfoChangeCancel;
	case EMobilePhoneNotifyNetworkSelectionSettingChangeCancel : return KEMobilePhoneNotifyNetworkSelectionSettingChangeCancel;
	case EMobilePhoneStoreReadAllCancel : return KEMobilePhoneStoreReadAllCancel;
	case EMobilePhoneStoreReadAllV4Cancel : return KEMobilePhoneStoreReadAllV4Cancel;
	case EMobileSmsMessagingGetSmspListCancel : return KEMobileSmsMessagingGetSmspListCancel;
	case EMobilePhoneAuthorizationInfoCancel : return KEMobilePhoneAuthorizationInfoCancel;
	case EMobilePhoneIMSAuthenticateCancel : return KEMobilePhoneIMSAuthenticateCancel;
	case EMobilePhoneGetScFileInfoCancel : return KEMobilePhoneGetScFileInfoCancel;
	case EMobilePhoneReadScFileCancel : return KEMobilePhoneReadScFileCancel;
	case EMobilePhoneGetIccIdentityCancel : return KEMobilePhoneGetIccIdentityCancel;
	case EMobilePhoneGetSecurityCodeInfoCancel : return KEMobilePhoneGetSecurityCodeInfoCancel;
	case EMobilePhoneNotifySecurityCodeInfoChangeCancel : return KEMobilePhoneNotifySecurityCodeInfoChangeCancel;
	case EMobilePhoneSmartCardAuthenticateCancel : return KEMobilePhoneSmartCardAuthenticateCancel;
	case EMobileSmartCardEapGetAuthenticationStatusCancel : return KEMobileSmartCardEapGetAuthenticationStatusCancel;
	case EMobileSmartCardEapGetUserIdentityCancel : return KEMobileSmartCardEapGetUserIdentityCancel;
	case EMobileSmartCardEapGetEapKeyCancel : return KEMobileSmartCardEapGetEapKeyCancel;
	case EMobileSmartCardEapNotifyEapMethodAccessStatusChangeCancel : return KEMobileSmartCardEapNotifyEapMethodAccessStatusChangeCancel;
	case EMobileSmartCardEapAuthenticationCancel : return KEMobileSmartCardEapAuthenticationCancel;
	case EMobilePhoneNotifyAPNListChangedCancel : return KEMobilePhoneNotifyAPNListChangedCancel;
	case EMobilePhoneGetAPNControlListServiceStatusCancel : return KEMobilePhoneGetAPNControlListServiceStatusCancel;
	case EMobilePhoneNotifyAPNControlListServiceStatusChangeCancel : return KEMobilePhoneNotifyAPNControlListServiceStatusChangeCancel;
	case EMobileNamStoreSetActiveNam : return KEMobileNamStoreSetActiveNam;
	case EMobileNamStoreStoreAll : return KEMobileNamStoreStoreAll;
	case EMobileNamStoreStoreAllV4 : return KEMobileNamStoreStoreAllV4;
	case EMobilePhoneAbortSecurityCode : return KEMobilePhoneAbortSecurityCode;
	case EMobilePhoneChangeSecurityCode : return KEMobilePhoneChangeSecurityCode;
	case EMobilePhoneClearBlacklist : return KEMobilePhoneClearBlacklist;
	case EMobilePhoneClearCostMeter : return KEMobilePhoneClearCostMeter;
	case EMobilePhoneProgramFeatureCode : return KEMobilePhoneProgramFeatureCode;
	case EMobilePhoneSetALSLine : return KEMobilePhoneSetALSLine;
	case EMobilePhoneSetAlternatingCallMode : return KEMobilePhoneSetAlternatingCallMode;
	case EMobilePhoneSetFdnSetting : return KEMobilePhoneSetFdnSetting;
	case EMobilePhoneSetIccMessageWaitingIndicators : return KEMobilePhoneSetIccMessageWaitingIndicators;
	case EMobilePhoneSetIdentityServiceStatus : return KEMobilePhoneSetIdentityServiceStatus;
	case EMobilePhoneSetIncomingCallType : return KEMobilePhoneSetIncomingCallType;
	case EMobilePhoneSetLockSetting : return KEMobilePhoneSetLockSetting;
	case EMobilePhoneSetMaxCostMeter : return KEMobilePhoneSetMaxCostMeter;
	case EMobilePhoneSetMmsUserConnParams : return KEMobilePhoneSetMmsUserConnParams;
	case EMobilePhoneSetMmsUserPreferences : return KEMobilePhoneSetMmsUserPreferences;
	case EMobilePhoneSetMulticallParams : return KEMobilePhoneSetMulticallParams;
	case EMobilePhoneSetMultimediaCallPreference : return KEMobilePhoneSetMultimediaCallPreference;
	case EMobilePhoneSetNetworkSelectionSetting : return KEMobilePhoneSetNetworkSelectionSetting;
	case EMobilePhoneSetPuct : return KEMobilePhoneSetPuct;
	case EMobilePhoneSetUSimApplicationStatus : return KEMobilePhoneSetUSimApplicationStatus;
	case EMobilePhoneSetUSimAppsSelectionMode : return KEMobilePhoneSetUSimAppsSelectionMode;
	case EMobilePhoneStorePreferredNetworksList : return KEMobilePhoneStorePreferredNetworksList;
	case EMobilePhoneVerifySecurityCode : return KEMobilePhoneVerifySecurityCode;
	case EMobileSmsMessagingSetMoSmsBearer : return KEMobileSmsMessagingSetMoSmsBearer;
	case EMobileSmsMessagingSetReceiveMode : return KEMobileSmsMessagingSetReceiveMode;
	case EMobileSmsMessagingStoreSmspList : return KEMobileSmsMessagingStoreSmspList;
	case EMobilePhoneSetSmartCardApplicationStatus : return KEMobilePhoneSetSmartCardApplicationStatus;
	case EMobilePhoneUpdateScFile : return KEMobilePhoneUpdateScFile;
	case EMobilePhoneAppendAPNName : return KEMobilePhoneAppendAPNName;
	case EMobilePhoneDeleteAPNName : return KEMobilePhoneDeleteAPNName;
	case EMobileNamStoreSetActiveNamCancel : return KEMobileNamStoreSetActiveNamCancel;
	case EMobileNamStoreStoreAllCancel : return KEMobileNamStoreStoreAllCancel;
	case EMobileNamStoreStoreAllV4Cancel : return KEMobileNamStoreStoreAllV4Cancel;
	case EMobilePhoneChangeSecurityCodeCancel : return KEMobilePhoneChangeSecurityCodeCancel;
	case EMobilePhoneClearBlacklistCancel : return KEMobilePhoneClearBlacklistCancel;
	case EMobilePhoneClearCostMeterCancel : return KEMobilePhoneClearCostMeterCancel;
	case EMobilePhoneProgramFeatureCodeCancel : return KEMobilePhoneProgramFeatureCodeCancel;
	case EMobilePhoneSetALSLineCancel : return KEMobilePhoneSetALSLineCancel;
	case EMobilePhoneSetAlternatingCallModeCancel : return KEMobilePhoneSetAlternatingCallModeCancel;
	case EMobilePhoneSetFdnSettingCancel : return KEMobilePhoneSetFdnSettingCancel;
	case EMobilePhoneSetIccMessageWaitingIndicatorsCancel : return KEMobilePhoneSetIccMessageWaitingIndicatorsCancel;
	case EMobilePhoneSetIdentityServiceStatusCancel : return KEMobilePhoneSetIdentityServiceStatusCancel;
	case EMobilePhoneSetIncomingCallTypeCancel : return KEMobilePhoneSetIncomingCallTypeCancel;
	case EMobilePhoneSetLockSettingCancel : return KEMobilePhoneSetLockSettingCancel;
	case EMobilePhoneSetMaxCostMeterCancel : return KEMobilePhoneSetMaxCostMeterCancel;
	case EMobilePhoneSetMmsUserConnParamsCancel : return KEMobilePhoneSetMmsUserConnParamsCancel;
	case EMobilePhoneSetMmsUserPreferencesCancel : return KEMobilePhoneSetMmsUserPreferencesCancel;
	case EMobilePhoneSetMulticallParamsCancel : return KEMobilePhoneSetMulticallParamsCancel;
	case EMobilePhoneSetMultimediaCallPreferenceCancel : return KEMobilePhoneSetMultimediaCallPreferenceCancel;
	case EMobilePhoneSetNetworkSelectionSettingCancel : return KEMobilePhoneSetNetworkSelectionSettingCancel;
	case EMobilePhoneSetPuctCancel : return KEMobilePhoneSetPuctCancel;
	case EMobilePhoneSetUSimApplicationStatusCancel : return KEMobilePhoneSetUSimApplicationStatusCancel;
	case EMobilePhoneSetUSimAppsSelectionModeCancel : return KEMobilePhoneSetUSimAppsSelectionModeCancel;
	case EMobilePhoneStorePreferredNetworksListCancel : return KEMobilePhoneStorePreferredNetworksListCancel;
	case EMobilePhoneVerifySecurityCodeCancel : return KEMobilePhoneVerifySecurityCodeCancel;
	case EMobileSmsMessagingSetMoSmsBearerCancel : return KEMobileSmsMessagingSetMoSmsBearerCancel;
	case EMobileSmsMessagingSetReceiveModeCancel : return KEMobileSmsMessagingSetReceiveModeCancel;
	case EMobileSmsMessagingStoreSmspListCancel : return KEMobileSmsMessagingStoreSmspListCancel;
	case EMobilePhoneSetSmartCardApplicationStatusCancel : return KEMobilePhoneSetSmartCardApplicationStatusCancel;
	case EMobilePhoneUpdateScFileCancel : return KEMobilePhoneUpdateScFileCancel;
	case EMobilePhoneAppendAPNNameCancel : return KEMobilePhoneAppendAPNNameCancel;
	case EMobilePhoneDeleteAPNNameCancel : return KEMobilePhoneDeleteAPNNameCancel;
	case EMobileBroadcastMessagingGetFilterSetting : return KEMobileBroadcastMessagingGetFilterSetting;
	case EMobileBroadcastMessagingGetIdListPhase1 : return KEMobileBroadcastMessagingGetIdListPhase1;
	case EMobileBroadcastMessagingGetIdListPhase2 : return KEMobileBroadcastMessagingGetIdListPhase2;
	case EMobileBroadcastMessagingGetLanguageFilter : return KEMobileBroadcastMessagingGetLanguageFilter;
	case EMobileBroadcastMessagingNotifyFilterSettingChange : return KEMobileBroadcastMessagingNotifyFilterSettingChange;
	case EMobileBroadcastMessagingNotifyLanguageFilterChange : return KEMobileBroadcastMessagingNotifyLanguageFilterChange;
	case EMobileCallGetMobileCallInfo : return KEMobileCallGetMobileCallInfo;
	case EMobileCallNotifyRemotePartyInfoChange : return KEMobileCallNotifyRemotePartyInfoChange;
	case EMobilePhoneBookStoreRead : return KEMobilePhoneBookStoreRead;
	case EMobilePhoneGetAirTimeDuration : return KEMobilePhoneGetAirTimeDuration;
	case EMobilePhoneGetCostInfo : return KEMobilePhoneGetCostInfo;
	case EMobilePhoneGetCurrentNetworkNoLocation : return KEMobilePhoneGetCurrentNetworkNoLocation;
	case EMobilePhoneGetMailboxNumbers : return KEMobilePhoneGetMailboxNumbers;
	case EMobilePhoneNotifyAirTimeDurationChange : return KEMobilePhoneNotifyAirTimeDurationChange;
	case EMobilePhoneNotifyCostInfoChange : return KEMobilePhoneNotifyCostInfoChange;
	case EMobilePhoneNotifyCurrentNetworkNoLocationChange : return KEMobilePhoneNotifyCurrentNetworkNoLocationChange;
	case EMobilePhoneNotifyMailboxNumbersChange : return KEMobilePhoneNotifyMailboxNumbersChange;
	case EMobilePhoneStoreGetInfo : return KEMobilePhoneStoreGetInfo;
	case EMobilePhoneStoreNotifyStoreEvent : return KEMobilePhoneStoreNotifyStoreEvent;
	case EMobilePhoneStoreRead : return KEMobilePhoneStoreRead;
	case EMobileBroadcastMessagingGetIdListCancel : return KEMobileBroadcastMessagingGetIdListCancel;
	case EMobileBroadcastMessagingGetLanguageFilterCancel : return KEMobileBroadcastMessagingGetLanguageFilterCancel;
	case EMobileBroadcastMessagingNotifyFilterSettingChangeCancel : return KEMobileBroadcastMessagingNotifyFilterSettingChangeCancel;
	case EMobileBroadcastMessagingNotifyLanguageFilterChangeCancel : return KEMobileBroadcastMessagingNotifyLanguageFilterChangeCancel;
	case EMobileCallGetMobileCallInfoCancel : return KEMobileCallGetMobileCallInfoCancel;
	case EMobileCallNotifyRemotePartyInfoChangeCancel : return KEMobileCallNotifyRemotePartyInfoChangeCancel;
	case EMobilePhoneBookStoreReadCancel : return KEMobilePhoneBookStoreReadCancel;
	case EMobilePhoneGetCostInfoCancel : return KEMobilePhoneGetCostInfoCancel;
	case EMobilePhoneGetCurrentNetworkNoLocationCancel : return KEMobilePhoneGetCurrentNetworkNoLocationCancel;
	case EMobilePhoneGetMailboxNumbersCancel : return KEMobilePhoneGetMailboxNumbersCancel;
	case EMobilePhoneNotifyAirTimeDurationChangeCancel : return KEMobilePhoneNotifyAirTimeDurationChangeCancel;
	case EMobilePhoneNotifyCostInfoChangeCancel : return KEMobilePhoneNotifyCostInfoChangeCancel;
	case EMobilePhoneNotifyCurrentNetworkNoLocationChangeCancel : return KEMobilePhoneNotifyCurrentNetworkNoLocationChangeCancel;
	case EMobilePhoneNotifyMailboxNumbersChangeCancel : return KEMobilePhoneNotifyMailboxNumbersChangeCancel;
	case EMobilePhoneStoreGetInfoCancel : return KEMobilePhoneStoreGetInfoCancel;
	case EMobilePhoneStoreNotifyStoreEventCancel : return KEMobilePhoneStoreNotifyStoreEventCancel;
	case EMobilePhoneStoreReadCancel : return KEMobilePhoneStoreReadCancel;
	case EMobileBroadcastMessagingSetFilterSetting : return KEMobileBroadcastMessagingSetFilterSetting;
	case EMobileBroadcastMessagingSetLanguageFilter : return KEMobileBroadcastMessagingSetLanguageFilter;
	case EMobileBroadcastMessagingStoreIdList : return KEMobileBroadcastMessagingStoreIdList;
	case EMobileONStoreStoreAll : return KEMobileONStoreStoreAll;
	case EMobilePhoneBookStoreWrite : return KEMobilePhoneBookStoreWrite;
	case EMobilePhoneStoreDelete : return KEMobilePhoneStoreDelete;
	case EMobilePhoneStoreDeleteAll : return KEMobilePhoneStoreDeleteAll;
	case EMobilePhoneStoreWrite : return KEMobilePhoneStoreWrite;
	case EMobileBroadcastMessagingSetFilterSettingCancel : return KEMobileBroadcastMessagingSetFilterSettingCancel;
	case EMobileBroadcastMessagingSetLanguageFilterCancel : return KEMobileBroadcastMessagingSetLanguageFilterCancel;
	case EMobileBroadcastMessagingStoreIdListCancel : return KEMobileBroadcastMessagingStoreIdListCancel;
	case EMobileONStoreStoreAllCancel : return KEMobileONStoreStoreAllCancel;
	case EMobilePhoneBookStoreWriteCancel : return KEMobilePhoneBookStoreWriteCancel;
	case EMobilePhoneStoreDeleteAllCancel : return KEMobilePhoneStoreDeleteAllCancel;
	case EMobilePhoneStoreDeleteCancel : return KEMobilePhoneStoreDeleteCancel;
	case EMobilePhoneStoreWriteCancel : return KEMobilePhoneStoreWriteCancel;
	case EMobilePhoneGetCurrentNetwork : return KEMobilePhoneGetCurrentNetwork;
	case EMobilePhoneNotifyCurrentNetworkChange : return KEMobilePhoneNotifyCurrentNetworkChange;
	case EMobilePhoneGetCurrentNetworkCancel : return KEMobilePhoneGetCurrentNetworkCancel;
	case EMobilePhoneNotifyCurrentNetworkChangeCancel : return KEMobilePhoneNotifyCurrentNetworkChangeCancel;
	case EMobileCallDialEmergencyCall : return KEMobileCallDialEmergencyCall;
	case EMobileCallDialNoFdnCheck : return KEMobileCallDialNoFdnCheck;
	case EMobileSmsMessagingAckSmsStored : return KEMobileSmsMessagingAckSmsStored;
	case EMobileSmsMessagingNackSmsStored : return KEMobileSmsMessagingNackSmsStored;
	case EMobileSmsMessagingResumeSmsReception : return KEMobileSmsMessagingResumeSmsReception;
	case EMobileSmsMessagingSendMessageNoFdnCheck : return KEMobileSmsMessagingSendMessageNoFdnCheck;
	case EMobileUssdMessagingSendRelease : return KEMobileUssdMessagingSendRelease;
	case EMobileCallDialEmergencyCallCancel : return KEMobileCallDialEmergencyCallCancel;
	case EMobileCallDialNoFdnCheckCancel : return KEMobileCallDialNoFdnCheckCancel;
	case EMobileSmsMessagingAckSmsStoredCancel : return KEMobileSmsMessagingAckSmsStoredCancel;
	case EMobileSmsMessagingNackSmsStoredCancel : return KEMobileSmsMessagingNackSmsStoredCancel;
	case EMobileSmsMessagingResumeSmsReceptionCancel : return KEMobileSmsMessagingResumeSmsReceptionCancel;
	case EMobileSmsMessagingSendMessageNoFdnCheckCancel : return KEMobileSmsMessagingSendMessageNoFdnCheckCancel;
	case EMobileUssdMessagingSendReleaseCancel : return KEMobileUssdMessagingSendReleaseCancel;
	case EMobilePhoneSendNetworkServiceRequestNoFdnCheck : return KEMobilePhoneSendNetworkServiceRequestNoFdnCheck;
	case EMobileUssdMessagingSendMessage : return KEMobileUssdMessagingSendMessage;
	case EMobileUssdMessagingSendMessageNoFdnCheck : return KEMobileUssdMessagingSendMessageNoFdnCheck;
	case EMobilePhoneSendNetworkServiceRequestNoFdnCheckCancel : return KEMobilePhoneSendNetworkServiceRequestNoFdnCheckCancel;
	case EMobileUssdMessagingSendMessageCancel : return KEMobileUssdMessagingSendMessageCancel;
	case EMobileUssdMessagingSendMessageNoFdnCheckCancel : return KEMobileUssdMessagingSendMessageNoFdnCheckCancel;
	case EMobileCallGetMobileDataCallRLPRange : return KEMobileCallGetMobileDataCallRLPRange;
	case EMobilePhoneGetDefaultPrivacy : return KEMobilePhoneGetDefaultPrivacy;
	case EMobilePhoneNotifyDefaultPrivacyChange : return KEMobilePhoneNotifyDefaultPrivacyChange;
	case EMobileUssdMessagingReceiveMessage : return KEMobileUssdMessagingReceiveMessage;
	case EMobileSmartCardEapInitialiseEapMethod : return KEMobileSmartCardEapInitialiseEapMethod;
	case EMobileCallGetMobileDataCallRLPRangeCancel : return KEMobileCallGetMobileDataCallRLPRangeCancel;
	case EMobilePhoneNotifyDefaultPrivacyChangeCancel : return KEMobilePhoneNotifyDefaultPrivacyChangeCancel;
	case EMobileUssdMessagingReceiveMessageCancel : return KEMobileUssdMessagingReceiveMessageCancel;
	case EMobileSmartCardEapInitialiseEapMethodCancel : return KEMobileSmartCardEapInitialiseEapMethodCancel;
	case EMobilePhoneMMInitialise : return KEMobilePhoneMMInitialise;
	case EMobilePhoneSetDefaultPrivacy : return KEMobilePhoneSetDefaultPrivacy;
	case EMobilePhoneSetPersonalisationStatus : return KEMobilePhoneSetPersonalisationStatus;
	case EMobilePhoneMMInitialiseCancel : return KEMobilePhoneMMInitialiseCancel;
	case EMobilePhoneSetDefaultPrivacyCancel : return KEMobilePhoneSetDefaultPrivacyCancel;
	case EMobilePhoneSetPersonalisationStatusCancel : return KEMobilePhoneSetPersonalisationStatusCancel;
	case EMobilePhoneGetBarringStatusPhase1 : return KEMobilePhoneGetBarringStatusPhase1;
	case EMobilePhoneGetBarringStatusPhase2 : return KEMobilePhoneGetBarringStatusPhase2;
	case EMobilePhoneGetCallForwardingStatusPhase1 : return KEMobilePhoneGetCallForwardingStatusPhase1;
	case EMobilePhoneGetCallForwardingStatusPhase2 : return KEMobilePhoneGetCallForwardingStatusPhase2;
	case EMobilePhoneGetCompletionRequestsPhase1 : return KEMobilePhoneGetCompletionRequestsPhase1;
	case EMobilePhoneGetCompletionRequestsPhase2 : return KEMobilePhoneGetCompletionRequestsPhase2;
	case EMobilePhoneGetDetectedNetworksPhase1 : return KEMobilePhoneGetDetectedNetworksPhase1;
	case EMobilePhoneGetDetectedNetworksPhase2 : return KEMobilePhoneGetDetectedNetworksPhase2;
	case EMobilePhoneGetDetectedNetworksV2Phase1 : return KEMobilePhoneGetDetectedNetworksV2Phase1;
	case EMobilePhoneGetDetectedNetworksV2Phase2 : return KEMobilePhoneGetDetectedNetworksV2Phase2;
	case EMobilePhoneGetWaitingStatusPhase1 : return KEMobilePhoneGetWaitingStatusPhase1;
	case EMobilePhoneGetWaitingStatusPhase2 : return KEMobilePhoneGetWaitingStatusPhase2;
	case EMobilePhoneGetDetectedNetworksV5Phase1 : return KEMobilePhoneGetDetectedNetworksV5Phase1;
	case EMobilePhoneGetDetectedNetworksV5Phase2 : return KEMobilePhoneGetDetectedNetworksV5Phase2;
	case EMobilePhoneGetBarringStatusCancel : return KEMobilePhoneGetBarringStatusCancel;
	case EMobilePhoneGetCallForwardingStatusCancel : return KEMobilePhoneGetCallForwardingStatusCancel;
	case EMobilePhoneGetCompletionRequestsCancel : return KEMobilePhoneGetCompletionRequestsCancel;
	case EMobilePhoneGetDetectedNetworksCancel : return KEMobilePhoneGetDetectedNetworksCancel;
	case EMobilePhoneGetDetectedNetworksV2Cancel : return KEMobilePhoneGetDetectedNetworksV2Cancel;
	case EMobilePhoneGetWaitingStatusCancel : return KEMobilePhoneGetWaitingStatusCancel;
	case EMobilePhoneGetDetectedNetworksV5Cancel : return KEMobilePhoneGetDetectedNetworksV5Cancel;
	case EMobileCallReceiveUUI : return KEMobileCallReceiveUUI;
	case EMobileSmsMessagingReceiveMessage : return KEMobileSmsMessagingReceiveMessage;
	case EMobileCallReceiveUUICancel : return KEMobileCallReceiveUUICancel;
	case EMobileSmsMessagingReceiveMessageCancel : return KEMobileSmsMessagingReceiveMessageCancel;
	case EMobileCallActivateUUS : return KEMobileCallActivateUUS;
	case EMobilePhoneDeactivateCCBS : return KEMobilePhoneDeactivateCCBS;
	case EMobilePhoneSelectNetwork : return KEMobilePhoneSelectNetwork;
	case EMobilePhoneSendNetworkServiceRequest : return KEMobilePhoneSendNetworkServiceRequest;
	case EMobilePhoneSetCallBarringPassword : return KEMobilePhoneSetCallBarringPassword;
	case EMobilePhoneSetCallBarringStatus : return KEMobilePhoneSetCallBarringStatus;
	case EMobilePhoneSetCallForwardingStatus : return KEMobilePhoneSetCallForwardingStatus;
	case EMobilePhoneSetCallWaitingStatus : return KEMobilePhoneSetCallWaitingStatus;
	case EMobilePhoneSetSSPassword : return KEMobilePhoneSetSSPassword;
	case EMobilePhoneSetUUSSetting : return KEMobilePhoneSetUUSSetting;
	case EMobilePhoneSetAPNControlListServiceStatus : return KEMobilePhoneSetAPNControlListServiceStatus;
	case EMobileCallActivateUUSCancel : return KEMobileCallActivateUUSCancel;
	case EMobilePhoneDeactivateCCBSCancel : return KEMobilePhoneDeactivateCCBSCancel;
	case EMobilePhoneSelectNetworkCancel : return KEMobilePhoneSelectNetworkCancel;
	case EMobilePhoneSendNetworkServiceRequestCancel : return KEMobilePhoneSendNetworkServiceRequestCancel;
	case EMobilePhoneSetCallBarringPasswordCancel : return KEMobilePhoneSetCallBarringPasswordCancel;
	case EMobilePhoneSetCallBarringStatusCancel : return KEMobilePhoneSetCallBarringStatusCancel;
	case EMobilePhoneSetCallForwardingStatusCancel : return KEMobilePhoneSetCallForwardingStatusCancel;
	case EMobilePhoneSetCallWaitingStatusCancel : return KEMobilePhoneSetCallWaitingStatusCancel;
	case EMobilePhoneSetSSPasswordCancel : return KEMobilePhoneSetSSPasswordCancel;
	case EMobilePhoneSetUUSSettingCancel : return KEMobilePhoneSetUUSSettingCancel;
	case EMobilePhoneSetAPNControlListServiceStatusCancel : return KEMobilePhoneSetAPNControlListServiceStatusCancel;
	case EMobileCallAnswerWithUUI : return KEMobileCallAnswerWithUUI;
	case EMobileCallHangupWithUUI : return KEMobileCallHangupWithUUI;
	case EMobileCallSendUUI : return KEMobileCallSendUUI;
	case EMobileSmsMessagingSendMessage : return KEMobileSmsMessagingSendMessage;
	case EMobileCallAnswerWithUUICancel : return KEMobileCallAnswerWithUUICancel;
	case EMobileCallHangupWithUUICancel : return KEMobileCallHangupWithUUICancel;
	case EMobileCallSendUUICancel : return KEMobileCallSendUUICancel;
	case EMobileSmsMessagingSendMessageCancel : return KEMobileSmsMessagingSendMessageCancel;
	case EMobileLocationServicesNotifyMtlr : return KEMobileLocationServicesNotifyMtlr;
	case EMobileLocationServicesNotifyMeasurementControl : return KEMobileLocationServicesNotifyMeasurementControl;
	case EMobileLocationServicesNotifyMtlrCancel : return KEMobileLocationServicesNotifyMtlrCancel;
	case EMobileLocationServicesNotifyMeasurementControlCancel : return KEMobileLocationServicesNotifyMeasurementControlCancel;
	case EMobileLocationServicesSendMolr : return KEMobileLocationServicesSendMolr;
	case EMobileLocationServicesSendMolrCancel : return KEMobileLocationServicesSendMolrCancel;
	case EMobileLocationServicesSendMtlrResponse : return KEMobileLocationServicesSendMtlrResponse;
	case EMobileLocationServicesSendMtlrError : return KEMobileLocationServicesSendMtlrError;
	case EMobileLocationServicesRejectMtlr : return KEMobileLocationServicesRejectMtlr;
	case EMobileLocationServicesSendMeasurementReport : return KEMobileLocationServicesSendMeasurementReport;
	case EMobileLocationServicesSendMeasurementControlFailure : return KEMobileLocationServicesSendMeasurementControlFailure;
	case EMobileLocationServicesSendMtlrResponseCancel : return KEMobileLocationServicesSendMtlrResponseCancel;
	case EMobileLocationServicesSendMtlrErrorCancel : return KEMobileLocationServicesSendMtlrErrorCancel;
	case EMobileLocationServicesRejectMtlrCancel : return KEMobileLocationServicesRejectMtlrCancel;
	case EMobileLocationServicesSendMeasurementReportCancel : return KEMobileLocationServicesSendMeasurementReportCancel;
	case EMobileLocationServicesSendMeasurementControlFailureCancel : return KEMobileLocationServicesSendMeasurementControlFailureCancel;
	case EMobileLocationServicesSetLcsDomain : return KEMobileLocationServicesSetLcsDomain;
	case EMmTsyPhoneBookStoreReadIPC : return KEMmTsyPhoneBookStoreReadIPC;
	case EMmTsyPhoneBookStoreReadCancelIPC : return KEMmTsyPhoneBookStoreReadCancelIPC;
	case EMmTsyPhoneBookStoreWriteIPC : return KEMmTsyPhoneBookStoreWriteIPC;
	case EMmTsyPhoneBookStoreWriteCancelIPC : return KEMmTsyPhoneBookStoreWriteCancelIPC;
	case EMmTsyPhoneBookStoreGetInfoIPC : return KEMmTsyPhoneBookStoreGetInfoIPC;
	case EMmTsyPhoneBookStoreGetInfoCancelIPC : return KEMmTsyPhoneBookStoreGetInfoCancelIPC;
	case EMmTsyPhoneBookStoreDeleteIPC : return KEMmTsyPhoneBookStoreDeleteIPC;
	case EMmTsyPhoneBookStoreDeleteCancelIPC : return KEMmTsyPhoneBookStoreDeleteCancelIPC;
	case EMmTsyPhoneBookStoreDeleteAllIPC : return KEMmTsyPhoneBookStoreDeleteAllIPC;
	case EMmTsyPhoneBookStoreDeleteAllCancelIPC : return KEMmTsyPhoneBookStoreDeleteAllCancelIPC;
	case EMmTsyPhoneBookStoreNotifyStoreEventIPC : return KEMmTsyPhoneBookStoreNotifyStoreEventIPC;
	case EMmTsyPhoneBookStoreNotifyStoreEventCancelIPC : return KEMmTsyPhoneBookStoreNotifyStoreEventCancelIPC;
	case EMmTsyPhoneBookStoreReadAllPhase1IPC : return KEMmTsyPhoneBookStoreReadAllPhase1IPC;
	case EMmTsyPhoneBookStoreReadAllPhase2IPC : return KEMmTsyPhoneBookStoreReadAllPhase2IPC;
	case EMmTsyPhoneBookStoreReadAllCancelIPC : return KEMmTsyPhoneBookStoreReadAllCancelIPC;
	case EMmTsyPhoneBookStoreCacheIPC : return KEMmTsyPhoneBookStoreCacheIPC;
	case EMmTsyPhoneBookStoreInitIPC : return KEMmTsyPhoneBookStoreInitIPC;
	case EMmTsyPhoneBookStoreResetCacheIPC : return KEMmTsyPhoneBookStoreResetCacheIPC;
	case EMmTsyPhoneBookStoreFdnInfoIPC : return KEMmTsyPhoneBookStoreFdnInfoIPC;
	case EMmTsyPhoneBookStoreMaxIpcLimit : return KEMmTsyPhoneBookStoreMaxIpcLimit;
	case EMmTsyENStoreReadIPC : return KEMmTsyENStoreReadIPC;
	case EMmTsyENStoreReadCancelIPC : return KEMmTsyENStoreReadCancelIPC;
	case EMmTsyENStoreWriteIPC : return KEMmTsyENStoreWriteIPC;
	case EMmTsyENStoreWriteCancelIPC : return KEMmTsyENStoreWriteCancelIPC;
	case EMmTsyENStoreGetInfoIPC : return KEMmTsyENStoreGetInfoIPC;
	case EMmTsyENStoreGetInfoCancelIPC : return KEMmTsyENStoreGetInfoCancelIPC;
	case EMmTsyENStoreDeleteIPC : return KEMmTsyENStoreDeleteIPC;
	case EMmTsyENStoreDeleteCancelIPC : return KEMmTsyENStoreDeleteCancelIPC;
	case EMmTsyENStoreDeleteAllIPC : return KEMmTsyENStoreDeleteAllIPC;
	case EMmTsyENStoreDeleteAllCancelIPC : return KEMmTsyENStoreDeleteAllCancelIPC;
	case EMmTsyENStoreNotifyStoreEventIPC : return KEMmTsyENStoreNotifyStoreEventIPC;
	case EMmTsyENStoreNotifyStoreEventCancelIPC : return KEMmTsyENStoreNotifyStoreEventCancelIPC;
	case EMmTsyENStoreReadAllPhase1IPC : return KEMmTsyENStoreReadAllPhase1IPC;
	case EMmTsyENStoreReadAllPhase2IPC : return KEMmTsyENStoreReadAllPhase2IPC;
	case EMmTsyENStoreReadAllCancelIPC : return KEMmTsyENStoreReadAllCancelIPC;
	case EMmTsyENStoreMaxIpcLimit : return KEMmTsyENStoreMaxIpcLimit;
	case EMmTsyONStoreReadIPC : return KEMmTsyONStoreReadIPC;
	case EMmTsyONStoreReadCancelIPC : return KEMmTsyONStoreReadCancelIPC;
	case EMmTsyONStoreWriteIPC : return KEMmTsyONStoreWriteIPC;
	case EMmTsyONStoreWriteCancelIPC : return KEMmTsyONStoreWriteCancelIPC;
	case EMmTsyONStoreGetInfoIPC : return KEMmTsyONStoreGetInfoIPC;
	case EMmTsyONStoreGetInfoCancelIPC : return KEMmTsyONStoreGetInfoCancelIPC;
	case EMmTsyONStoreDeleteIPC : return KEMmTsyONStoreDeleteIPC;
	case EMmTsyONStoreDeleteCancelIPC : return KEMmTsyONStoreDeleteCancelIPC;
	case EMmTsyONStoreDeleteAllIPC : return KEMmTsyONStoreDeleteAllIPC;
	case EMmTsyONStoreDeleteAllCancelIPC : return KEMmTsyONStoreDeleteAllCancelIPC;
	case EMmTsyONStoreNotifyStoreEventIPC : return KEMmTsyONStoreNotifyStoreEventIPC;
	case EMmTsyONStoreNotifyStoreEventCancelIPC : return KEMmTsyONStoreNotifyStoreEventCancelIPC;
	case EMmTsyONStoreReadAllPhase1IPC : return KEMmTsyONStoreReadAllPhase1IPC;
	case EMmTsyONStoreReadAllPhase2IPC : return KEMmTsyONStoreReadAllPhase2IPC;
	case EMmTsyONStoreReadAllCancelIPC : return KEMmTsyONStoreReadAllCancelIPC;
	case EMmTsyONStoreStoreAllIPC : return KEMmTsyONStoreStoreAllIPC;
	case EMmTsyONStoreStoreAllCancelIPC : return KEMmTsyONStoreStoreAllCancelIPC;
	case EMmTsyONStoreCountEntriesIPC : return KEMmTsyONStoreCountEntriesIPC;
	case EMmTsyONStoreMaxIpcLimit : return KEMmTsyONStoreMaxIpcLimit;
	case EPacketInitProxiesIPC : return KEPacketInitProxiesIPC;
	case EMmTsyGsmBroadcastNotifyMessageReceived : return KEMmTsyGsmBroadcastNotifyMessageReceived;
	case EMmTsyWcdmaBroadcastNotifyMessageReceived : return KEMmTsyWcdmaBroadcastNotifyMessageReceived;
	case EMmTsyBootNotifyModemStatusReadyIPC : return KEMmTsyBootNotifyModemStatusReadyIPC;
	case EMmTsyBootNotifySimStatusReadyIPC : return KEMmTsyBootNotifySimStatusReadyIPC;
	case EMmTsyBootNotifySecurityReadyIPC : return KEMmTsyBootNotifySecurityReadyIPC;
	case EMmTsyBootGetRFStatusIPC : return KEMmTsyBootGetRFStatusIPC;
	case EMmTsySmsSendSatMessage : return KEMmTsySmsSendSatMessage;
	case EMmTsyActivateSmsRouting : return KEMmTsyActivateSmsRouting;
	case EMmTsyDeactivateSmsRouting : return KEMmTsyDeactivateSmsRouting;
	case EMmTsySimGetICCType : return KEMmTsySimGetICCType;
	case EMmTsySimRefreshRegisterIPC : return KEMmTsySimRefreshRegisterIPC;
	case EMmTsySimRefreshNowIPC : return KEMmTsySimRefreshNowIPC;
	case EMmTsySimRefreshDoneIPC : return KEMmTsySimRefreshDoneIPC;
	case ECustomCheckSecurityCodeCancelIPC : return KECustomCheckSecurityCodeCancelIPC;
	case EMmTsySecurityGetSimActivePinStateIPC : return KEMmTsySecurityGetSimActivePinStateIPC;
	case ECustomSecurityDeliverCodeIPC : return KECustomSecurityDeliverCodeIPC;
	case EMmTsyPhoneGetPin1DisableSupportedIPC : return KEMmTsyPhoneGetPin1DisableSupportedIPC;
	case EMmTsyNotifyEGprsInfoChangeIPC : return KEMmTsyNotifyEGprsInfoChangeIPC;
	case EMmTsyGetCustomVendorExtPtrIPC : return KEMmTsyGetCustomVendorExtPtrIPC;
	case EMmTsyONStoreReadEntryIPC : return KEMmTsyONStoreReadEntryIPC;
	case EMmTsyONStoreReadSizeIPC : return KEMmTsyONStoreReadSizeIPC;
	case EMmTsyONStoreWriteEntryIPC : return KEMmTsyONStoreWriteEntryIPC;
	case EMmTsyONStoreWriteSizeIPC : return KEMmTsyONStoreWriteSizeIPC;
	case EMmTsyGetCallForwardingNumberIPC : return KEMmTsyGetCallForwardingNumberIPC;
	case EPacketNotifyTransferCapsIPC : return KEPacketNotifyTransferCapsIPC;
	case EMmTsyPhoneBookStoreCacheCancelIPC : return KEMmTsyPhoneBookStoreCacheCancelIPC;
    case ECustomCheckAlsPpSupportIPC : return KECustomCheckAlsPpSupportIPC;
	case ECtsyPhoneCellInfoReq : return KECtsyPhoneCellInfoReq;
	case ECtsyPhoneCellInfoComp : return KECtsyPhoneCellInfoComp;
	case ECtsyPhoneCellInfoIndReq : return KECtsyPhoneCellInfoIndReq;
	case ECtsyPhoneCellInfoIndComp : return KECtsyPhoneCellInfoIndComp;
	case ECtsyPhoneCellInfoInd : return KECtsyPhoneCellInfoInd;
	case ECtsyPhoneCellInfoSync : return KECtsyPhoneCellInfoSync;
#ifdef USING_CTSY_DISPATCHER  
	case ECtsyUpdateLifeTimeReq : return KECtsyUpdateLifeTimeReq;
	case ECtsyUpdateLifeTimeComp : return KECtsyUpdateLifeTimeComp; 
#else	
	case EMmTsyUpdateLifeTimeIPC : return KEMmTsyUpdateLifeTimeIPC;
#endif //USING_CTSY_DISPATCHER	
	case ECtsyPacketMbmsInitialiseContextReq : return KECtsyPacketMbmsInitialiseContextReq;
	case ECtsyPacketMbmsInitialiseContextComp : return KECtsyPacketMbmsInitialiseContextComp;
	case ECtsyPacketMbmsContextNotifyConfigChanged : return KECtsyPacketMbmsContextNotifyConfigChanged;
	case ECtsyPhoneTerminateAllCallsReq : return KECtsyPhoneTerminateAllCallsReq;
	case ECtsyPhoneTerminateAllCallsComp : return KECtsyPhoneTerminateAllCallsComp;
    case ECtsyPhoneTerminateActiveCallsReq : return KECtsyPhoneTerminateActiveCallsReq;
    case ECtsyPhoneTerminateActiveCallsComp : return KECtsyPhoneTerminateActiveCallsComp;
	case ECtsyPhoneSendNetworkServiceRequestReq : return KECtsyPhoneSendNetworkServiceRequestReq;
	case ECtsyPhoneSendNetworkServiceRequestIndReq : return KECtsyPhoneSendNetworkServiceRequestIndReq;
	case ECtsyPhoneSendNetworkServiceRequestInd : return KECtsyPhoneSendNetworkServiceRequestInd;
	default: return KNullDesC;
	}
}


